2016-06-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/www/sollya.php: Forgot an update of copyright...  PDF and PHP are synchronized.

2016-06-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tget_element_in_list.c: Made the timing tests for
	tget_element_in_list more robust.

2016-06-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Trying to live without the -f option of readlink.

2016-06-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Working on __unique_id

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* ChangeLog: New ChangeLog.

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/remez.tex,
	doc/time.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the documentation.

2016-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* README: Slight update of README file

2016-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* NEWS, doc/concat.shlp, doc/concat.tex, doc/www/concat.php, help.h: 
	Modified the doc of "@" to mention its usage with external
	procedures.  Slightly modified the NEWS file.

2016-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* NEWS: New NEWS file.

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* : Recompiled the pdf.

2016-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, doc/sollya.tex, doc/www/sollya.php, general.c,
	help.h, parser.y: Still some updates of copyrights + correction of a
	bug affecting the string explaining what version of fplll is
	installed.  Also replaced empty lines by a space followed by '\n' in help.h, to
	prevent formatting of the copyright to be destroyed each time
	shlp2txt.sh is run.

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* NEWS: Started working on new NEWS file.

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, doc/sollya.tex, doc/www/sollya.php: Changed slightly
	the copyright messages.

2016-06-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* AUTHORS, configure.ac, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/implementconstant.shlp, doc/implementconstant.tex,
	doc/remez.tex, doc/sollya.tex, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/implementconstant.php, doc/www/remez.php,
	doc/www/sollya.php, doc/www/time.php, doc/www/timing.php,
	general.c, help.h, parser.y, tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference: Updated some files with
	respect to the copyright changes. Made the tests pass again.
	Recompiled the documentation.

2016-06-10  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* assignment.c, assignment.h, autodiff.c, chain.c, chain.h,
	doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php, double.c,
	execute.c, execute.h, expression.c, expression.h, fpminimax.cpp,
	general.c, general.h, hash.c, help.h, hooks.c, implement.c,
	implementconst.c, infnorm.c, infnorm.h, internlexer.l,
	internparser.y, lexer.l, library.c, minilexer.l, miniparser.y,
	mpfi-compat.c, mpfi-compat.h, parser.y, plot.c, polynomials.c,
	polynomials.h, printf.c, remez.c, remez.h, signalhandling.c,
	signalhandling.h, sollya-library-wrappers.c, sollya-messages.h,
	sollya-messaging.h, sollya.h, sturm.c, sturm.h, supnorm.c, xml.c: 
	Updated the copyrights

2016-06-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am: Updated version info.

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit 8125941fe5009c3f14f9fb4630c4dbbdfe878d7e Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Tue Jun 7
	21:30:55 2016 +0200

2016-06-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check010.sollya, tests-tool/check010.sollya.reference: 
	Non-regression test for bug [#20369] Double-rounding issue with
	round() operator

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c: Finally understood and patched the
	complexity problem in get_element_in_list.

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c: Patching a memory leak. Trying to
	understand a complexity issue with get_element_in_list.

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Working for compiler happiness.

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patched bugs in reimplementation of dup2.

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tget_element_in_list.c: Modified the tests of
	tget_element_in_list in order to avoid calls to gettimeofday

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, tests-lib/tget_element_in_list.c: A small update to the
	timing mechanisms.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit 2cf04d3583e94476779ff9a253cdc6745eab2bae Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Mon Jun 6
	19:21:09 2016 +0200

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, double.c, external.c, plot.c, printf.c,
	tests-lib/tprintf.c: Removed a warning about _BSD_SOURCE

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Stricter tests for functions and headers tested by
	configure.  Normally Sollya's configure should now abort in pretty much every
	case where we cannot compile.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* plot.c: Protected a variable declaration.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* plot.c: Checking for the presence of a header file.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit 2ea8a8a3b3bc478e12b6d76c8e4bf9c16c0721a1 Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Mon Jun 6
	16:58:58 2016 +0200

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Removed the check for lib [fl]. On second thought it
	is not clear it is useful

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit 644a6994acfd1f9e2edbdf52ee48b93d14cf2939 Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Mon Jun 6
	16:15:48 2016 +0200

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, configure.ac: Following suggestions from libtoolize.

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* plot.c: Removed an include that seems useless.

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Updated configure.ac after suggestions of autoscan

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, general.c: Removed an unused function from the
	configure list.

2016-06-06  Christoph Quirin Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Corrected a mistake in configure.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* signalhandling.c: Added a comment.

2016-06-01  Christoph Quirin Lauter <quirin@kosmos.home>

	* fpminimax.cpp, internlexer.l, lexer.l, minilexer.l,
	mpfi-compat.c, mpfi-compat.h: Patching bugs found on kosmos.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patching an issue found on fuchs (Raspberry 3)

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, signalhandling.c: Got rid of last warnings on
	Cygwin.

2016-05-31  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tconstruct_function.c,
	tests-lib/tconstruct_function.reference,
	tests-lib/tget_nth_subfunction.c,
	tests-lib/tget_nth_subfunction.reference,
	tests-lib/tv_construct_function.c,
	tests-lib/tv_construct_function.reference: Updated tests for
	construct_function and get_nth_subfunction...  ... so as to reflect the new behavior of construct_function with
	constant pi and to avoid possible segfault due to the fact that we
	do not provide enough argument. Also, for get_nth_subfunction, since
	we now officially support to feed it with NULL, the case is now
	tested.

2016-05-31  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Updated the
	doc * new behavior of sollya_lib_construct_function with
	SOLLYA_BASE_FUNC_PI * made the section about faithful evaluation clearer. In particular,
	explicitly mention the possibility of using sollya_lib_apply.  PDF and Php are checked to be synchronized.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, signalhandling.c: Correcting two small issues.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, signalhandling.c: Working on the signalhandling issue
	on Cygwin.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, signalhandling.c: Starting to work on the sig* issue
	on Cygwin.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Finally solved gettimeofday issue for Cygwin.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, execute.c, general.c, general.h: Trying to solve the
	issue with gettimeofday that we encountered on Cygwin.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, polynomials.c, tests-lib/tprintf.c: Corrected use of
	config.h header.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c: Corrected several mistakes in
	sollya_lib_construct_function Improved several library functions with respect to NULL pointers.

2016-05-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Updated the
	documentation to reflect the recently introduced changes regarding
	subfunctions of pi.

2016-05-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tdecompose_function.reference,
	tests-lib/tget_subfunctions.reference,
	tests-lib/tv_decompose_function.reference,
	tests-lib/tv_get_subfunctions.reference: Fixed tests files after
	Chrsitoph's change of revision 91edf09

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c,
	tests-lib/tget_nth_subfunction.reference: Slightly changed behavior
	of decompose function family concerning pi.

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit fc2a5bfa89edea079e1c4179ef3209617a1775b4 Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Mon May 30
	16:22:50 2016 +0200

2016-05-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file.

2016-05-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/tconstruct_function.c,
	tests-lib/tconstruct_function.reference,
	tests-lib/tv_construct_function.c,
	tests-lib/tv_construct_function.reference: Tests for
	sollya_lib_[v]_construct_function.

2016-05-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Documented
	sollya_lib_[v_]construct_function sollya.tex and sollya.php are checked to be synchronized.

2016-05-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/tget_nth_subfunction.c,
	tests-lib/tget_nth_subfunction.reference: Added tests for
	tget_nth_subfunction Tests do not pass anymore.

2016-05-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Documented
	sollya_lib_get_nth_subfunction

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Working around 1 (sic!) warning found on Cygwin with
	gcc -O3 -Wall -Wextra

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Working around warnings found with gcc, when compiling
	with -O3 -Wall -Wextra

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, polynomials.c, tests-tool/timecheck.sollya: Working
	around warnings and problems found with clang when compiling with
	-O3 -Wall -Wextra

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tbuild_function_libraryconstant.c,
	tests-lib/tbuild_function_libraryfunction.c,
	tests-lib/tdecompose_externalprocedure_with_data.c,
	tests-lib/tlibraryconstant.c, tests-lib/tlibraryfunction.c: Working
	around warnings found using a non-free compiler sold by a large
	processor vendor.

2016-05-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* supnorm.c: Working around a warning emitted by clang.

2016-05-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Some small adjustments to the
	Sollya library interface.

2016-05-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Removed a function that seems
	to be useless (at least it can be emulated pretty easily). Sylvain
	is the person to blame if this removal was too much doing.

2016-05-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file.

2016-05-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Documented
	sollya_lib_obj_is_externalprocedure PDF and PHP are synchronized.

2016-05-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/tis_absolute.c,
	tests-lib/tis_binary.c, tests-lib/tis_decimal.c,
	tests-lib/tis_default.c, tests-lib/tis_double_double_obj.c,
	tests-lib/tis_double_obj.c, tests-lib/tis_doubleextended_obj.c,
	tests-lib/tis_dyadic.c, tests-lib/tis_false.c,
	tests-lib/tis_file.c, tests-lib/tis_fixed.c,
	tests-lib/tis_floating.c, tests-lib/tis_halfprecision_obj.c,
	tests-lib/tis_hexadecimal.c, tests-lib/tis_honorcoeffprec.c,
	tests-lib/tis_off.c, tests-lib/tis_on.c, tests-lib/tis_perturb.c,
	tests-lib/tis_pi.c, tests-lib/tis_postscript.c,
	tests-lib/tis_postscriptfile.c, tests-lib/tis_powers.c,
	tests-lib/tis_quad_obj.c, tests-lib/tis_relative.c,
	tests-lib/tis_round_down.c, tests-lib/tis_round_to_nearest.c,
	tests-lib/tis_round_towards_zero.c, tests-lib/tis_round_up.c,
	tests-lib/tis_single_obj.c, tests-lib/tis_triple_double_obj.c,
	tests-lib/tis_true.c, tests-lib/tis_void.c,
	tests-lib/tobj_is_end_elliptic_list.c, tests-lib/tobj_is_error.c,
	tests-lib/tobj_is_externalprocedure.c,
	tests-lib/tobj_is_externalprocedure.reference,
	tests-lib/tobj_is_function.c, tests-lib/tobj_is_list.c,
	tests-lib/tobj_is_procedure.c, tests-lib/tobj_is_range.c,
	tests-lib/tobj_is_string.c, tests-lib/tobj_is_structure.c: Added
	tests for sollya_lib_obj_is_externalprocedure.

2016-05-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Patched a small problem with the deallocation function
	pointers for external procedures, library functions and library
	constants.

2016-05-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tcmp_objs_structurally.c,
	tests-lib/tcmp_objs_structurally.reference, tests-tool/Makefile.am,
	tests-tool/check030.sollya, tests-tool/check030.sollya.reference,
	tests-tool/libexternal_structural_cmp.c: Working to make tests run
	on Cygwin again.

2016-05-25  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file

2016-05-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Clarify some
	points of the documentation of sollya_lib_decompose_*_with_data PHP and PDF still synchronized.

2016-05-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tbuild_function_libraryconstant_with_data.c,
	tests-lib/tbuild_function_libraryconstant_with_data.reference,
	tests-lib/tbuild_function_libraryfunction_with_data.c,
	tests-lib/tbuild_function_libraryfunction_with_data.reference,
	tests-lib/tdecompose_externalprocedure_with_data.c,
	tests-lib/tdecompose_externalprocedure_with_data.reference,
	tests-lib/tdecompose_libraryconstant_with_data.c,
	tests-lib/tdecompose_libraryconstant_with_data.reference,
	tests-lib/tdecompose_libraryfunction_with_data.c,
	tests-lib/tdecompose_libraryfunction_with_data.reference,
	tests-lib/texternalprocedure.c,
	tests-lib/texternalprocedure.reference,
	tests-lib/texternalprocedure_with_data.c,
	tests-lib/texternalprocedure_with_data.reference,
	tests-lib/tlibraryconstant_with_data.c,
	tests-lib/tlibraryconstant_with_data.reference,
	tests-lib/tlibraryfunction_with_data.c,
	tests-lib/tlibraryfunction_with_data.reference: Read and completed
	the tests of sollya_lib_*_with_data.  Discovered a bug (therefore make check does not pass currently)

2016-05-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/externalproc.shlp, doc/externalproc.tex, doc/shlp2html.sh,
	doc/sollya.pdf, doc/www/externalproc.php, help.h: Small improvements
	to the formatting of the doc of externalproc

2016-05-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Resynchronized sollya.php and
	sollya.tex.

2016-05-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: The Cygwin stuff does not work on Linux.

2016-05-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, general.c: Some improvements for Cygwin.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* parser.y: Updated help help list.

2016-05-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/texternalprocedure_with_data.c: Synchro with Christoph
	in order to debug a problem.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c: Patched a small memory leak.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: Added an item on the TODO list.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Corrected a mistake in
	sollya_lib_apply: the construction sollya_lib_apply(procedure, NULL)
	was impossible to use.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Corrected a mistake in the code for rational
	simplifications. Expressions like a/1 now get simplified in all
	cases, independingly of the current precision prec.

2016-05-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Improved printing of fractions with denominator 1.

2016-05-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Patched two small bugs in a recursive function used
	to simplify expressions dirtily.

2016-05-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: New TODO.

2016-05-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* : For some strange reason sollya.pdf became untracked.

2016-05-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/time.tex,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, help.h: Recompiled the documentation. Looked at
	the TODOs.

2016-05-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Improved coeff() quite a bit.

2016-05-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, tests-tool/Makefile.am,
	tests-tool/external_structural_cmp.c,
	tests-tool/libexternal_structural_cmp.c: Making distributions using
	external_structural_cmp.c in the tools testing work again. I really
	like autohell, it's terribly understandable for humans.

2016-05-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/absolute.tex, doc/accurateinfnorm.tex, doc/and.tex,
	doc/annotatefunction.tex, doc/append.tex, doc/approx.tex,
	doc/asciiplot.tex, doc/autodiff.tex, doc/autosimplify.tex,
	doc/bashevaluate.tex, doc/bashexecute.tex, doc/bind.tex,
	doc/canonical.tex, doc/chebyshevform.tex, doc/checkinfnorm.tex,
	doc/coeff.tex, doc/composepolynomials.tex, doc/concat.tex,
	doc/default.tex, doc/degree.tex, doc/denominator.tex,
	doc/dieonerrormode.tex, doc/diff.tex, doc/dirtyfindzeros.tex,
	doc/dirtyinfnorm.tex, doc/dirtyintegral.tex, doc/dirtysimplify.tex,
	doc/display.tex, doc/divide.tex, doc/double.tex,
	doc/doubledouble.tex, doc/doubleextended.tex, doc/equal.tex,
	doc/error.tex, doc/evaluate.tex, doc/execute.tex, doc/expand.tex,
	doc/exponent.tex, doc/externalplot.tex, doc/externalproc.tex,
	doc/false.tex, doc/file.tex, doc/findzeros.tex, doc/fixed.tex,
	doc/floating.tex, doc/fpminimax.tex, doc/fullparentheses.tex,
	doc/function.tex, doc/ge.tex, doc/getbacktrace.tex,
	doc/getsuppressedmessages.tex, doc/gt.tex, doc/guessdegree.tex,
	doc/halfprecision.tex, doc/head.tex, doc/honorcoeffprec.tex,
	doc/hopitalrecursions.tex, doc/horner.tex, doc/implementpoly.tex,
	doc/in.tex, doc/inf.tex, doc/infnorm.tex, doc/integral.tex,
	doc/isbound.tex, doc/isevaluable.tex, doc/le.tex, doc/length.tex,
	doc/library.tex, doc/libraryconstant.tex, doc/lt.tex,
	doc/mantissa.tex, doc/max.tex, doc/mid.tex, doc/midpointmode.tex,
	doc/min.tex, doc/minus.tex, doc/mult.tex, doc/neq.tex, doc/nop.tex,
	doc/not.tex, doc/numberroots.tex, doc/numerator.tex,
	doc/objectname.tex, doc/off.tex, doc/on.tex, doc/or.tex,
	doc/parse.tex, doc/perturb.tex, doc/pi.tex, doc/plot.tex,
	doc/plus.tex, doc/points.tex, doc/postscript.tex,
	doc/postscriptfile.tex, doc/power.tex, doc/prec.tex,
	doc/precision.tex, doc/prepend.tex, doc/print.tex,
	doc/printdouble.tex, doc/printexpansion.tex, doc/printsingle.tex,
	doc/printxml.tex, doc/proc.tex, doc/procedure.tex, doc/quad.tex,
	doc/quit.tex, doc/rationalapprox.tex, doc/rationalmode.tex,
	doc/rd.tex, doc/readfile.tex, doc/readxml.tex, doc/relative.tex,
	doc/remez.tex, doc/rename.tex, doc/restart.tex, doc/return.tex,
	doc/revert.tex, doc/rn.tex, doc/round.tex,
	doc/roundcoefficients.tex, doc/roundcorrectly.tex,
	doc/roundingwarnings.tex, doc/ru.tex, doc/rz.tex,
	doc/searchgal.tex, doc/shlp2tex.sh, doc/showmessagenumbers.tex,
	doc/simplify.tex, doc/single.tex, doc/sort.tex, doc/subpoly.tex,
	doc/substitute.tex, doc/sup.tex, doc/supnorm.tex,
	doc/suppressmessage.tex, doc/tail.tex, doc/taylor.tex,
	doc/taylorform.tex, doc/taylorrecursions.tex, doc/time.tex,
	doc/timing.tex, doc/tripledouble.tex, doc/true.tex,
	doc/unsuppressmessage.tex, doc/var.tex, doc/verbosity.tex,
	doc/void.tex, doc/worstcase.tex, doc/write.tex,
	doc/xfreevariable.tex: Fixed (somehow) a bug related to the new
	skipping-of-output feature and recompiled the doc.

2016-05-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/absolute.tex, doc/accurateinfnorm.tex, doc/and.tex,
	doc/annotatefunction.tex, doc/append.tex, doc/approx.tex,
	doc/asciiplot.tex, doc/autodiff.tex, doc/autosimplify.tex,
	doc/bashevaluate.tex, doc/bashexecute.tex, doc/bind.tex,
	doc/canonical.tex, doc/chebyshevform.tex, doc/checkinfnorm.tex,
	doc/coeff.tex, doc/composepolynomials.tex, doc/concat.tex,
	doc/default.tex, doc/degree.tex, doc/denominator.tex,
	doc/dieonerrormode.tex, doc/diff.tex, doc/dirtyfindzeros.tex,
	doc/dirtyinfnorm.tex, doc/dirtyintegral.tex, doc/dirtysimplify.tex,
	doc/display.tex, doc/divide.tex, doc/double.tex,
	doc/doubledouble.tex, doc/doubleextended.tex, doc/equal.tex,
	doc/error.tex, doc/evaluate.tex, doc/execute.tex, doc/expand.tex,
	doc/exponent.tex, doc/externalplot.tex, doc/externalproc.tex,
	doc/false.tex, doc/file.tex, doc/findzeros.tex, doc/fixed.tex,
	doc/floating.tex, doc/fpminimax.tex, doc/fullparentheses.tex,
	doc/function.tex, doc/ge.tex, doc/getbacktrace.tex,
	doc/getsuppressedmessages.tex, doc/gt.tex, doc/guessdegree.tex,
	doc/halfprecision.tex, doc/head.tex, doc/honorcoeffprec.tex,
	doc/hopitalrecursions.tex, doc/horner.tex,
	doc/implementconstant.shlp, doc/implementconstant.tex,
	doc/implementpoly.tex, doc/in.tex, doc/inf.tex, doc/infnorm.tex,
	doc/integral.tex, doc/introExample51.tex, doc/isbound.tex,
	doc/isevaluable.tex, doc/le.tex, doc/length.tex, doc/library.tex,
	doc/libraryconstant.tex, doc/lt.tex, doc/mantissa.tex, doc/max.tex,
	doc/mid.tex, doc/midpointmode.tex, doc/min.tex, doc/minus.tex,
	doc/mult.tex, doc/neq.tex, doc/nop.tex, doc/not.tex,
	doc/numberroots.tex, doc/numerator.tex, doc/objectname.tex,
	doc/off.tex, doc/on.tex, doc/or.tex, doc/parse.tex,
	doc/perturb.tex, doc/pi.tex, doc/plot.tex, doc/plus.tex,
	doc/points.tex, doc/postscript.tex, doc/postscriptfile.tex,
	doc/power.tex, doc/prec.tex, doc/precision.tex, doc/prepend.tex,
	doc/print.tex, doc/printdouble.tex, doc/printexpansion.tex,
	doc/printsingle.tex, doc/printxml.tex, doc/proc.tex,
	doc/procedure.tex, doc/quad.tex, doc/quit.tex,
	doc/rationalapprox.tex, doc/rationalmode.tex, doc/rd.tex,
	doc/readfile.tex, doc/readxml.tex, doc/relative.tex, doc/remez.tex,
	doc/rename.tex, doc/restart.tex, doc/return.tex, doc/revert.tex,
	doc/rn.tex, doc/round.tex, doc/roundcoefficients.tex,
	doc/roundcorrectly.tex, doc/roundingwarnings.tex, doc/ru.tex,
	doc/rz.tex, doc/searchgal.tex, doc/showmessagenumbers.tex,
	doc/simplify.tex, doc/single.tex, doc/sort.tex, doc/subpoly.tex,
	doc/substitute.tex, doc/sup.tex, doc/supnorm.tex,
	doc/suppressmessage.tex, doc/tail.tex, doc/taylor.tex,
	doc/taylorform.tex, doc/taylorrecursions.tex, doc/time.tex,
	doc/timing.tex, doc/tripledouble.tex, doc/true.tex,
	doc/unsuppressmessage.tex, doc/var.tex, doc/verbosity.tex,
	doc/void.tex, doc/worstcase.tex, doc/write.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/implementconstant.php, doc/www/introExample51.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php,
	doc/xfreevariable.tex, help.h: Recompiled the doc.

2016-05-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/shlp2txt.sh: Removed support for color in text mode when
	skipping lines of output in examples

2016-05-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/shlp2html.sh, doc/shlp2tex.sh, doc/shlp2txt.sh,
	doc/sollya.tex, doc/www/sollyacss.css: Added support for skipping
	lines of output in the examples of shlp files.  In a #EXAMPLE section of a shlp file it is now possible to add a
	comment of the form /* Skip NN */ at the end of a line. The first NN
	lines of the output produced by this specific line will be removed
	and a warning will be displayed explaining that some lines have been
	removed.  This feature is quite fragile because of the constraints imposed by
	the Verbatim environment in LaTeX. It will most probably fail if the
	(non removed part of the) output contains one of the characters '\',
	'~' or '|'.

2016-05-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Added missing Sollya keywords to the list in library.c.

2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* : recompiled the pdf

2016-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0, doc/sollya.tex: Some small modifications on the
	sections about creating library functions/constants and external
	procedures.  Also fixed the "--" bug in the arguments of Sollya interactive tool.  Finally, reverted a useless (and possibly confusing) change of
	Christoph in Table 5 "Testing the type of a Sollya object"

2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: New TODO file

2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: New TODO file

2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/time.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, help.h: Documentation work.

2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit d03cdedbac584b4d92a73bec3c4aeb505c406f23 Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Wed May 11
	12:13:24 2016 +0200

2016-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/CommandsAndFunctions.tex, doc/keywords.def,
	doc/www/ListOfCommands.php, doc/www/xfreevariable.php,
	doc/xfreevariable.shlp, doc/xfreevariable.tex, help.h, parser.y: 
	Added an explicit documentation for _x_

2016-05-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0, doc/keywords.def, sollya-library-wrappers.c,
	sollya.h: Removed certain deprecated functions from the Sollya
	library. Sylvain Chevillard, who authorized the removal by phone,
	assumes the full, entire responsability of this removal forever and
	until the end of time.  Added new things to do in the TODO file.

2016-05-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: Added a list of undocumented functions in the
	Sollya library to the TODO file.

2016-05-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/externalproc.shlp,
	doc/externalproc.tex, doc/implementconstant.shlp,
	doc/implementconstant.tex, doc/implementpoly.shlp,
	doc/implementpoly.tex, doc/introExample51.tex, doc/library.shlp,
	doc/library.tex, doc/libraryconstant.shlp, doc/libraryconstant.tex,
	doc/remez.tex, doc/sollya.tex, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/externalproc.php, doc/www/implementconstant.php,
	doc/www/implementpoly.php, doc/www/introExample51.php,
	doc/www/library.php, doc/www/libraryconstant.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Documentation work.

2016-05-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0, doc/sollya.pdf, doc/sollya.tex,
	doc/www/sollya.php: Modified the order of sections 10.5.* --> made it more logical (useful sections first, less used sections
	at the end) --> and made a new section to document
	sollya_lib_externalprocedure which was actually undocumented.

2016-05-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/Makefile.am, tests-tool/check.proto,
	tests-tool/check030.sollya: Updated some mechanisms concerning
	testing.

2016-04-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tobj_is_range.c: Fixed a bad definition of the size of
	an array.  For some obscure reason tobj_is_range had not been fully modified as
	the other files at commit 937a6c3.

2016-04-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: Updated .gitignore to ignore tobj_is_procedure[.sh]

2016-04-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Updated the doc of hash.  * Present cmp_objs_structurally * Better explain situations when hashes are equal even though the
	objects are not structurally equal.  PDF and PHP are synchronized.

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/tis_absolute.c,
	tests-lib/tis_binary.c, tests-lib/tis_decimal.c,
	tests-lib/tis_default.c, tests-lib/tis_double_double_obj.c,
	tests-lib/tis_double_obj.c, tests-lib/tis_doubleextended_obj.c,
	tests-lib/tis_dyadic.c, tests-lib/tis_false.c,
	tests-lib/tis_file.c, tests-lib/tis_fixed.c,
	tests-lib/tis_floating.c, tests-lib/tis_halfprecision_obj.c,
	tests-lib/tis_hexadecimal.c, tests-lib/tis_honorcoeffprec.c,
	tests-lib/tis_off.c, tests-lib/tis_on.c, tests-lib/tis_perturb.c,
	tests-lib/tis_pi.c, tests-lib/tis_postscript.c,
	tests-lib/tis_postscriptfile.c, tests-lib/tis_powers.c,
	tests-lib/tis_quad_obj.c, tests-lib/tis_relative.c,
	tests-lib/tis_round_down.c, tests-lib/tis_round_to_nearest.c,
	tests-lib/tis_round_towards_zero.c, tests-lib/tis_round_up.c,
	tests-lib/tis_single_obj.c, tests-lib/tis_triple_double_obj.c,
	tests-lib/tis_true.c, tests-lib/tis_void.c,
	tests-lib/tobj_is_end_elliptic_list.c, tests-lib/tobj_is_error.c,
	tests-lib/tobj_is_function.c, tests-lib/tobj_is_list.c,
	tests-lib/tobj_is_procedure.c,
	tests-lib/tobj_is_procedure.reference, tests-lib/tobj_is_range.c,
	tests-lib/tobj_is_string.c, tests-lib/tobj_is_structure.c: Added
	test for sollya_lib_tobj_is_procedure

2016-04-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/texternalprocedure_with_data.c: Patching a memory leak
	in a test.

2016-04-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, tests-tool/check014.sollya.reference: Improved
	memory handling in polynomial code.

2016-04-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/timecheck.sollya: Updating time test reference values
	for some systems.

2016-04-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, polynomials.c, polynomials.h: Slightly improved memory
	handling in constants used in polynomials.

2016-04-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Implemented "[#20284] Make == be aware of end-elliptic
	lists" No non-regression tests have been added. All existing tests run
	through fine; the corresponding behavior hence seems to be
	essentially untested.

2016-04-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Patching a bug in structural comparisons of
	polynomials.

2016-04-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, tests-tool/check030.sollya,
	tests-tool/check030.sollya.reference: Adding tests for structural
	comparison of polynomials.

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Enhanced test for hash and structural comparison following
	Christoph' suggestions

2016-04-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, polynomials.c: Patching a bug with an
	infinite recursion in the hashing of a constant polynomial.

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore, tests-tool/Makefile.am, tests-tool/check030.sollya,
	tests-tool/check030.sollya.reference,
	tests-tool/external_structural_cmp.c: Tests for
	sollya_lib_cmp_objs_structurally and sollya_lib_hash

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Added a test for annotatefunction.

2016-04-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Tests for objectname.

2016-04-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0, tests-lib/texecute_procedure.c,
	tests-lib/texecute_procedure.reference,
	tests-lib/tv_execute_procedure.c,
	tests-lib/tv_execute_procedure.reference: Added some complementary
	tests for execute_procedure and updated TODO file.

2016-04-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file. execute has been added in
	library mode at dbebb71, documented at b53566d and tests have been
	added at 0af3bce.

2016-04-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file.

2016-04-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Changes in the checks for annotatefunction.  Slightly modified the code of the tests for on Christoph's demand +
	added roundingwarnings=on.

2016-04-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, sollya-messages.h, sollya-messaging.h,
	tests-tool/check030.sollya.reference: Improved precision handling in
	evaluation hooks.

2016-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added tests for getbacktrace

2016-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/getbacktrace.shlp, doc/getbacktrace.tex,
	doc/www/getbacktrace.php, help.h: Fixed a space typo in the doc of
	getbacktrace.

2016-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Added some additional tests for annotatefunction.  I am not sure that everything behaves as expected. To be discussed.

2016-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file.

2016-03-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Further tests after bug [#20094] NaN comparisons do not work as
	expected.

2016-03-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* autodiff.c, execute.c, execute.h, infnorm.c,
	tests-tool/check030.sollya.reference: Patched the last caching
	problem left with issue [#20071] Using annotatefunction leads to a
	unexpected approximation warning.

2016-03-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/equal.shlp, doc/equal.tex, doc/www/equal.php, help.h: Updated
	the doc of == to make it match better reality.

2016-03-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check024.sollya, tests-tool/check024.sollya.reference: 
	Added tests for __unique_id.

2016-03-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patching "[#20162] __unique_id is not unique".

2016-03-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Corrected a mistake in structural vs. mathematical
	comparisons in constant values.

2016-03-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Slight improvement to code for polynomials.

2016-03-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0, doc/annotatefunction.tex, doc/bashevaluate.tex,
	doc/bashexecute.tex, doc/equal.tex, doc/introExample33.tex,
	doc/introExample51.tex, doc/remez.tex, doc/time.tex,
	doc/timing.tex, doc/www/annotatefunction.php,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/equal.php, doc/www/introExample33.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, execute.c, help.h, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Patching bug [#20094] NaN
	comparisons do not work as expected.  Added a non-regression test.  Recompiled the documentation as the bug was discovered by reading
	the documentation.

2016-03-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, polynomials.c, polynomials.h,
	tests-tool/check029.sollya.reference: Improved structural
	comparison. Made hexadecimal printing compatible with a strict
	interpretation of the C99 standard.

2016-02-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, expression.h, polynomials.c, polynomials.h,
	sollya-library-wrappers.c: Some improvements to structural
	comparison.

2016-02-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Improved evaluation with hooks a little bit.

2016-02-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference,
	tests-tool/timecheck.sollya: Improved testing.

2016-02-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit 8275f848cdab68fb5c489c3a99b93c34e7fac3c5 Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Tue Feb 23
	17:12:48 2016 +0100

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file

2016-02-23  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/annotatefunction.shlp, doc/annotatefunction.tex,
	doc/www/annotatefunction.php, help.h: Slight modification in the doc
	of annotatefunction.

2016-02-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/getbacktrace.shlp, doc/getbacktrace.tex,
	doc/www/getbacktrace.php, execute.c, help.h,
	tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Patched bug [#20070] getbacktrace does not conform to its
	documentation Non regression tests have been added.

2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/annotatefunction.shlp, doc/annotatefunction.tex,
	doc/getbacktrace.shlp, doc/getbacktrace.tex, doc/objectname.shlp,
	doc/objectname.tex, doc/www/annotatefunction.php,
	doc/www/getbacktrace.php, doc/www/objectname.php, help.h: Attempt to
	enhance the doc of annotatefunction, getbacktrace and objectname

2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/shlp2html.sh, doc/shlp2tex.sh, doc/shlp2txt.sh: Corrected a
	bug in shlp2* scripts When simulating an example whose code contains escaped characters
	such as '\n' or '\"', the string was evaluated which was of course
	not intended. As a result, in some case, the output of the
	simulation was wrong.  This should now be fixed. After checking, the only file related to
	the bug was objectname.shlp (which was the file that made me
	discover the bug).

2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Updated the doc about hashes.

2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Small precisions in the
	documentation of __unique_id.

2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Updated the doc for accounting
	changes in sollya_lib_printlibrarymessage.  PHP and PDF are checked to be synchronized.

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/annotatefunction.shlp, doc/annotatefunction.tex,
	doc/www/annotatefunction.php, help.h: Improved documentation for
	annotatefunction.

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* remez.c, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Patched bug [#14451]
	guessdegree has a strange behavior on point intervals A non regression test has been added.

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added a non regression test for bug [#17196] Inconsistent behavior
	of evaluate The bug was already patched with commit
	9f9d12d3dd8d7a5a058545350402973155159f3f

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added a non regression test for bug [#7085] Rounding to simple value
	with infinity overflow is wrong.

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.tex, doc/www/sollya.php, sollya-library-wrappers.c: 
	Reworked removal of init functions with arguments. Removed
	corresponding sections in documentation.

2016-02-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, general.h, sollya-library-wrappers.c, sollya.h,
	tests-lib/Makefile.am, tests-lib/tinit_with_arguments.c,
	tests-lib/tinit_with_arguments.reference,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.c,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.referen
	ce: Changed some of the library functions after discussion with
	Sylvain.

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: A typo in the doc +
	unification of the way we reference sections in the php doc

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Typos in the doc.  PHP and PDF stay synchronized.

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, tests-lib/check.proto: Final form for the special
	printf test on systems like Ubuntu.  Should finally fix bug [#17198].

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/check.proto, tests-lib/tprintf.c: Attempt to make
	tprintf skipped on systems like Ubuntu  --> those systems that consider that a %n in a malloced string is
	 dangerous

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Slightly improved what is displayed in the test of
	%n

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Add a #define for systems like Ubuntu that do not
	allow %n in malloced strings.

2016-02-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tend_elliptic_list.c, tests-lib/tlist.c: Working against
	compiler bugs.

2016-02-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Changed a little bit the way
	sollya_lib_decompose_*_with_data are displayed in the doc.  Also recompiled the doc.  PDF and PHP are still checked to be
	synchronized.

2016-02-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/www/help.php, doc/www/sollya.php: Made php doc compliant with
	W3C standards (HTML and CSS).

2016-02-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Checked the doc in tex and php
	format.  Also unified the use of a initial capital letter in the word
	"section" when referring to a given section.  sollya.tex and sollya.php are now checked to be synchronized.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tend_elliptic_list.c, tests-lib/tlist.c,
	tests-lib/tprintdouble.c, tests-lib/tprintf.c,
	tests-lib/tprintsingle.c: Removing some warnings in the compilation
	of the library tests.

2016-02-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* printf.c: Validating the commit
	55d14a9807223f0088458dd46bc8736e27ed3b5d and unifying the code.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/Makefile.am, tests-tool/check.proto: Patched a problem
	occuring with VPATH builds.  The *.output generated files used to contaminate the source
	directory.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sollya-library-wrappers.c: Patched a warning.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* infnorm.c, printf.c: Patched some warning issues. Double-checking
	would be good.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* chain.c: Removed some warnings.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added non regression tests for bug [#19925]

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added non regression test for bug [#20056]

2016-02-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit 4877ffb68ddebde58141875ebb3faffab596b077 Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Tue Feb 16
	10:17:48 2016 +0100

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check018.sollya, tests-tool/check018.sollya.reference: 
	Update check018 so as to work even on systems with small memory.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: Updated .gitignore to ignore new test files of the
	lib.

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Attempt to remove a warning when compiling under
	Ubuntu.  Namely, on Ubuntu, I got the following warning:   ar: `u' modifier ignored since `D' is the default (see `U') Accroding to the discussion on the following thread

	http://gnu-automake.7480.n7.nabble.com/bug-20082-new-warning-from-ar-on-rawhide-systems-td21769.htmlon the mailing list of automake, a safe patch seems to simply and
	manually set ar flags to 'cr' which I believe I do with this patch.  Compiles without a warning on Ubuntu and my Fedora.

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* : commit 250d1a9bc985b0151f1b67c4c381435ff5b802a3 Author: Sylvain
	Chevillard <sylvain.chevillard@ens-lyon.org> Date:   Mon Feb 15
	17:33:24 2016 +0100

2016-02-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: Removed a point on the TODO list

2016-02-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit ff5fcb1afec3da8db79828429a5aecb3b9f25839 Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Mon Feb 15
	14:39:15 2016 +0100

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Update TODO_sollya5.0 after this morning work.

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* : commit cfaaeca9549fd01c5b8060ee09865bafe4079846 Merge: 9abef82
	fac5a55 Author: Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>
	Date:   Mon Feb 15 12:19:16 2016 +0100

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* README, configure.ac: Updated --enable-strict-lexer-parser-check
	tests in order to check for recent enough versions of bison.  Also updated README so as to inform the user about what version of
	Bison is officially supported.

2016-02-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit 858b603a8de3641d165b8492aa21dc045c1c01ef Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Mon Feb 15
	11:35:11 2016 +0100

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Update of TODO list.

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added non-regression test for [#19666]

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* : commit bc4e2a3d75600ba9b805a8210d1078aefb4499d5 Merge: 851ef00
	3728734 Author: Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>
	Date:   Mon Feb 15 11:13:07 2016 +0100

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c: Adding an information message in a case of bisection in
	Newton's algorithm.

2016-02-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/dirtyfindzeros.shlp, doc/dirtyfindzeros.tex,
	doc/www/dirtyfindzeros.php, help.h: Added a phrase in the
	documentation that describes a case when dirtyfindzeros may return
	the same value twice.  This is related to the bug [#11967] dirtyfindzeros returns the same
	zero twice

2016-02-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* : commit 6742285c3d3732f275032238bbd82a69f140b4d5 Author: Sylvain
	Chevillard <sylvain.chevillard@ens-lyon.org> Date:   Thu Feb 11
	09:54:06 2016 +0100

2016-02-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* : commit de5dae82e5564cebae98ed9ba57d747cbc2ac964 Author: Sylvain
	Chevillard <sylvain.chevillard@ens-lyon.org> Date:   Wed Feb 10
	19:41:06 2016 +0100

2016-02-10  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Changed configure.ac so as to ensure that the
	version of MPFR is >= 3.0.0 Indeed we check that mpfr_set_z_2exp is available because it is
	required in polynomials.c. This function has appeared with MPFR
	3.0.0

2016-02-09  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patched a very subtle bug in the way the custom memory
	functions are handled.

2016-02-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Patching a bug in displaying of external objects with
	data fields.

2016-02-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Making things work again under Debian.

2016-02-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit 8c0e108abd5205ed20e28defb9b3468066290604 Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Mon Feb 8
	13:22:30 2016 +0100

2016-02-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: TODO file for releasing 5.0.

2016-02-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, tests-lib/Makefile.am: Attempt to fix a bug
	introduced with the patch of bug [#17197] When mpfi was not available on a system-wise basis, but only on a
	prefix, the patch proposed at rev 2dc3e48 prevents the user from
	compiling libraryexample and aborts the checks of the lib.

2016-02-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, polynomials.c: Trying to make Sollya work with old
	versions of GMP that do not have mp_bitcnt_t.

2016-02-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, hash.c, printf.c, tests-lib/libraryexample.c,
	tests-lib/tbuild_function_libraryconstant_with_data.c,
	tests-lib/tbuild_function_libraryfunction_with_data.c,
	tests-lib/tdecompose_externalprocedure.c,
	tests-lib/tdecompose_externalprocedure_with_data.c,
	tests-lib/tdecompose_libraryconstant_with_data.c,
	tests-lib/tdecompose_libraryfunction_with_data.c,
	tests-lib/tlibraryconstant_with_data.c,
	tests-lib/tlibraryfunction_with_data.c: Working against compiler
	warnings.

2016-02-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Updated list of reserved keywords. This list should be
	double-checked by someone else at some point.

2016-02-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, expression.h: Removed legacy support to compile
	Sollya without support for memory references.

2016-02-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/CommandsAndFunctions.tex, doc/getbacktrace.shlp,
	doc/getbacktrace.tex, doc/keywords.def, doc/objectname.shlp,
	doc/objectname.tex, doc/www/ListOfCommands.php,
	doc/www/getbacktrace.php, doc/www/objectname.php, help.h: Documented
	objectname.

2016-01-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/display.tex,
	doc/introExample51.tex, doc/print.tex, doc/remez.tex, doc/time.tex,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/display.php, doc/www/introExample51.php, doc/www/print.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the documentation.

2016-01-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* sturm.c, tests-lib/tnumberroots.c,
	tests-lib/tnumberroots.reference,
	tests-tool/check013.sollya.reference: Patching "[#19976] A warning
	message is displayed at verbosity level 1 but does not endanger
	safety"

2016-01-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-lib/tprintf.reference,
	tests-tool/check002.sollya.reference,
	tests-tool/check008.sollya.reference: Hexadecimal display mode:
	implemented the consistant behavior specified in the tracker #19925
	Convention used for hexadecimal display.

2015-12-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, expression.h, infnorm.c: Added some additional
	checks before applying Taylor interval evaluation.

2015-12-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, general.h, sollya-library-wrappers.c, sollya.h: Added
	Sollya library initialization functions with an additional argument
	to circumvent some of GMP's memory management behavior in a Sage
	binding for Sollya.

2015-12-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* external.c, plot.c: Improved handling of temporary plot files in
	plot and externalplot.

2015-12-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Revert "Made plot files be removed unconditionnally." This reverts commit 3c42b090bb9953c5cc8fd590d96bebec97eb1a9d.

2015-11-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Made plot files be removed unconditionnally.

2015-11-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* : Merging.

2015-11-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Patched a segfault bug in
	fpminimax.

2015-11-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/CommandsAndFunctions.tex, doc/bashevaluate.tex,
	doc/bashexecute.tex, doc/concat.shlp, doc/concat.tex,
	doc/getbacktrace.shlp, doc/getbacktrace.tex, doc/keywords.def,
	doc/proc.shlp, doc/proc.tex, doc/procedure.shlp, doc/procedure.tex,
	doc/remez.tex, doc/time.tex, doc/www/ListOfCommands.php,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/concat.php, doc/www/getbacktrace.php, doc/www/proc.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Documentation work.

2015-11-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/externalproc.shlp,
	doc/externalproc.tex, doc/library.shlp, doc/library.tex,
	doc/libraryconstant.shlp, doc/libraryconstant.tex, doc/remez.tex,
	doc/sollya.tex, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/externalproc.php, doc/www/library.php,
	doc/www/libraryconstant.php, doc/www/remez.php, doc/www/sollya.php,
	doc/www/time.php, help.h: Some documentation work.

2015-11-11  Marc Mezzarobba <marc@mezzarobba.net>

	* sollya.h: "Strict prototypes" in sollya.h Make it possible to build modules that include sollya.h with
	-Wstrict-prototypes.

2015-11-19  Marc Mezzarobba <marc@mezzarobba.net>

	* expression.c: Missing break;

2015-11-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Added support for application of lists as arguments to
	external procedures using '@'.

2015-11-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, library.c, library.h,
	sollya-library-wrappers.c, sollya.h,
	tests-lib/tbuild_function_libraryconstant_with_data.c,
	tests-lib/tbuild_function_libraryfunction_with_data.c,
	tests-lib/tdecompose_externalprocedure_with_data.c,
	tests-lib/tdecompose_externalprocedure_with_data.reference,
	tests-lib/tdecompose_libraryconstant_with_data.c,
	tests-lib/tdecompose_libraryconstant_with_data.reference,
	tests-lib/tdecompose_libraryfunction_with_data.c,
	tests-lib/tdecompose_libraryfunction_with_data.reference,
	tests-lib/texternalprocedure_with_data.c,
	tests-lib/tlibraryconstant_with_data.c,
	tests-lib/tlibraryfunction_with_data.c: Added deallocator to
	external functions, constants and libraries when they come with a
	data field.  Added some support functions for the Python binding.

2015-11-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.h: Forgotten file.

2015-11-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit ad8537bbd0ac93dcffa4ecd51abb397b574341db Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Tue Nov 17
	10:53:04 2015 +0100

2015-11-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/www/sollya.php: Stupid typo in the php file.

2015-11-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Corrected a typo in the doc +
	added the case of a BASE_FUNC_CONSTANT in decompose_function

2015-11-16  Marc Mezzarobba <marc@mezzarobba.net>

	* doc/sollya.tex: tex preamble

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/time.tex,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/time.php,
	help.h: Recompiled the documentation.

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* : Merge remote-tracking branch 'remotes/origin/libraryExtensions'

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am,
	tests-lib/tbuild_function_libraryconstant_with_data.c,
	tests-lib/tbuild_function_libraryconstant_with_data.reference,
	tests-lib/tdecompose_libraryconstant_with_data.c,
	tests-lib/tdecompose_libraryconstant_with_data.reference,
	tests-lib/tlibraryconstant_with_data.c,
	tests-lib/tlibraryconstant_with_data.reference: Added tests for
	library constants with a data field.

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am,
	tests-lib/tbuild_function_libraryfunction_with_data.c,
	tests-lib/tbuild_function_libraryfunction_with_data.reference,
	tests-lib/tdecompose_libraryfunction_with_data.c,
	tests-lib/tdecompose_libraryfunction_with_data.reference,
	tests-lib/tlibraryfunction_with_data.c,
	tests-lib/tlibraryfunction_with_data.reference: Testing for library
	functions with data field.

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.tex, doc/www/sollya.php, sollya-library-wrappers.c,
	sollya.h: Documented sollya_lib_hash. Added stupid wrapper for
	evaluation 'at Sollya object'.

2015-09-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check020.sollya, tests-tool/check020.sollya.reference: 
	Corrected the test introduced at revision 2c93e1a to make it
	independent of the version of MPFR used.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am, tests-lib/libraryexample.c,
	tests-lib/tdecompose_externalprocedure.c,
	tests-lib/tdecompose_externalprocedure.reference: Added tests for
	sollya_lib_decompose_externalprocedure.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Preparing a custom interface for the SAGE wrapper.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/texternalprocedure.c,
	tests-lib/texternalprocedure.reference: Made the test for
	sollya_lib_externalprocedure platform-independent.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.tex, doc/www/sollya.php: Again documentation work.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/annotatefunction.tex, doc/approx.tex, doc/asciiplot.tex,
	doc/autodiff.tex, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/boolean.shlp, doc/boolean.tex, doc/chebyshevform.tex,
	doc/composepolynomials.tex, doc/constant.shlp, doc/constant.tex,
	doc/dirtyfindzeros.tex, doc/dirtyinfnorm.tex,
	doc/dirtyintegral.tex, doc/dirtysimplify.tex, doc/divide.tex,
	doc/doubledouble.tex, doc/doubleextended.tex, doc/evaluate.tex,
	doc/externalproc.shlp, doc/externalproc.tex, doc/floating.tex,
	doc/fpminimax.tex, doc/function.shlp, doc/function.tex,
	doc/guessdegree.tex, doc/hopitalrecursions.tex,
	doc/implementconstant.tex, doc/implementpoly.tex, doc/infnorm.tex,
	doc/integer.shlp, doc/integer.tex, doc/integral.tex,
	doc/introExample10.tex, doc/introExample12.tex,
	doc/introExample15.tex, doc/introExample17.tex,
	doc/introExample27.tex, doc/introExample32.tex,
	doc/introExample33.tex, doc/introExample38.tex,
	doc/introExample39.tex, doc/introExample40.tex,
	doc/introExample42.tex, doc/introExample43.tex,
	doc/introExample46.tex, doc/introExample51.tex,
	doc/introExample57.tex, doc/introExample8.tex, doc/isevaluable.tex,
	doc/length.tex, doc/library.shlp, doc/library.tex,
	doc/libraryconstant.shlp, doc/libraryconstant.tex, doc/listof.shlp,
	doc/listof.tex, doc/max.tex, doc/object.shlp, doc/object.tex,
	doc/pi.tex, doc/points.tex, doc/power.tex, doc/print.tex,
	doc/range.shlp, doc/range.tex, doc/rationalmode.tex, doc/remez.tex,
	doc/roundcorrectly.tex, doc/searchgal.tex,
	doc/showmessagenumbers.tex, doc/sollya.tex, doc/string.shlp,
	doc/string.tex, doc/subpoly.tex, doc/suppressmessage.tex,
	doc/taylorform.tex, doc/time.tex, doc/timing.tex,
	doc/tripledouble.tex, doc/unsuppressmessage.tex, doc/verbosity.tex,
	doc/void.shlp, doc/void.tex, doc/www/annotatefunction.php,
	doc/www/approx.php, doc/www/asciiplot.php, doc/www/autodiff.php,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/boolean.php, doc/www/chebyshevform.php,
	doc/www/composepolynomials.php, doc/www/constant.php,
	doc/www/dirtyfindzeros.php, doc/www/dirtyinfnorm.php,
	doc/www/dirtyintegral.php, doc/www/dirtysimplify.php,
	doc/www/divide.php, doc/www/doubledouble.php,
	doc/www/doubleextended.php, doc/www/evaluate.php,
	doc/www/externalproc.php, doc/www/floating.php,
	doc/www/fpminimax.php, doc/www/function.php,
	doc/www/guessdegree.php, doc/www/hopitalrecursions.php,
	doc/www/implementconstant.php, doc/www/implementpoly.php,
	doc/www/infnorm.php, doc/www/integer.php, doc/www/integral.php,
	doc/www/introExample10.php, doc/www/introExample12.php,
	doc/www/introExample15.php, doc/www/introExample17.php,
	doc/www/introExample27.php, doc/www/introExample32.php,
	doc/www/introExample33.php, doc/www/introExample38.php,
	doc/www/introExample39.php, doc/www/introExample40.php,
	doc/www/introExample42.php, doc/www/introExample43.php,
	doc/www/introExample46.php, doc/www/introExample51.php,
	doc/www/introExample57.php, doc/www/introExample8.php,
	doc/www/isevaluable.php, doc/www/length.php, doc/www/library.php,
	doc/www/libraryconstant.php, doc/www/listof.php, doc/www/max.php,
	doc/www/object.php, doc/www/pi.php, doc/www/points.php,
	doc/www/power.php, doc/www/print.php, doc/www/range.php,
	doc/www/rationalmode.php, doc/www/remez.php,
	doc/www/roundcorrectly.php, doc/www/searchgal.php,
	doc/www/showmessagenumbers.php, doc/www/string.php,
	doc/www/subpoly.php, doc/www/suppressmessage.php,
	doc/www/taylorform.php, doc/www/time.php, doc/www/timing.php,
	doc/www/tripledouble.php, doc/www/unsuppressmessage.php,
	doc/www/verbosity.php, doc/www/void.php, help.h: Some documentation
	work.

2015-09-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check020.sollya, tests-tool/check020.sollya.reference: 
	Added a non-regression test for the bug fixed at rev 9f9d12d.  See the comment in check020.sollya for more details about the
	history of this bug and the reason why this non-regression test is
	added only now and not before.

2015-09-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.h, sollya-library-wrappers.c, sollya.h: Finished
	implementation work on extending the Sollya library for
	externalprocedures, libraryfunctions and libraryconstants.  Testing and documentation work is still required.

2015-09-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* autodiff.c, execute.c, expression.c, infnorm.c, library.c,
	library.h, sollya-library-wrappers.c, sollya.h,
	tests-lib/texternalprocedure.c,
	tests-lib/texternalprocedure.reference: Some progress with data
	field support for external procedures, library functions and library
	constants.

2015-09-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* hash.c, tests-lib/thash.c, tests-lib/thash.reference: Better
	hashes.

2015-09-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* assignment.c, execute.c, execute.h, expression.c, hash.c, hash.h,
	polynomials.c, polynomials.h, sollya-library-wrappers.c, sollya.h,
	tests-lib/Makefile.am, tests-lib/thash.c, tests-lib/thash.reference: 
	Finished work on the hashing function for the Sollya library.

2015-09-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, expression.h, general.c, general.h, hash.c,
	hash.h, library.c, library.h, sollya-library-wrappers.c, sollya.h,
	tests-lib/Makefile.am, tests-lib/texternalprocedure.c,
	tests-lib/texternalprocedure.reference: Added a way to bind external
	procedures to Sollya in library mode.  Started working on a hashing
	function for Sollya Objects.

2015-09-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patched a small bug in 'round'.

2015-09-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am, hash.c, hash.h: Started working on providing a
	hashing function in the Sollya library.

2015-09-09  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c: Added a small additional check on the
	sollya_lib_init* functions to avoid double initializations.

2015-05-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, infnorm.c, polynomials.c, sollya-messages.h,
	sollya-messaging.h, tests-tool/check001.sollya.reference: Adressing
	bug [#18992] degree returns -1 instead of the degree without any
	warning.  This commit changes the reference behavior of degree(0/x) to yield
	0, as the reason given at commit
	5029f0ed4e75bdee04c7b979030405e883ea30d2 is no longer true, because
	Sollya is now able to perform such simplifications.

2015-05-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, external.c: Avoiding compiler warnings.

2015-05-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Fixed deprecated == syntax in configure.ac tests
	(replaced it by =)

2015-05-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* expression.c: Added a missing header.  For some reason, on my computer, the fact that inttypes.h is not
	included before mpfr.h results in mpfr.h not declaring mpfr_get_sj.

2015-05-19  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am: A comment about the line AM_CPPFLAGS =
	-I$(top_srcdir) introduced @2dc3e48ebc

2015-05-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-lib/tappend.reference,
	tests-lib/tcheckinfnorm.reference, tests-lib/tcmp_equal.reference,
	tests-lib/tcmp_greater.reference,
	tests-lib/tcmp_greater_equal.reference,
	tests-lib/tcmp_in.reference, tests-lib/tcmp_less.reference,
	tests-lib/tcmp_less_equal.reference,
	tests-lib/tcmp_not_equal.reference,
	tests-lib/tconstant_from_double.reference,
	tests-lib/tdirtyinfnorm.reference,
	tests-lib/tdirtyintegral.reference,
	tests-lib/tdirtysimplify.reference,
	tests-lib/tevaluate_function_at_constant_expression.reference,
	tests-lib/tevaluate_function_at_point.reference,
	tests-lib/texecute.reference,
	tests-lib/tget_bounds_from_range.reference,
	tests-lib/tget_constant_as_double.reference,
	tests-lib/tget_constant_as_int.reference,
	tests-lib/tget_constant_as_int64.reference,
	tests-lib/tget_constant_as_mpq.reference,
	tests-lib/tget_constant_as_mpz.reference,
	tests-lib/tget_constant_as_uint64.reference,
	tests-lib/tget_interval_from_range.reference,
	tests-lib/tinf.reference, tests-lib/tintegral.reference,
	tests-lib/tinterval_list_ops.reference,
	tests-lib/tlength.reference, tests-lib/tmax.reference,
	tests-lib/tmid.reference, tests-lib/tmin.reference,
	tests-lib/tnumberroots.reference, tests-lib/tprecision.reference,
	tests-lib/tprepend.reference,
	tests-lib/tprocedurefunction.reference,
	tests-lib/trange_from_bounds.reference,
	tests-lib/trange_from_interval.reference,
	tests-lib/tsearchgal.reference, tests-lib/tsup.reference,
	tests-lib/tv_max.reference, tests-lib/tv_min.reference,
	tests-tool/check001.sollya.reference,
	tests-tool/check002.sollya.reference,
	tests-tool/check003.sollya.reference,
	tests-tool/check004.sollya.reference,
	tests-tool/check005.sollya.reference,
	tests-tool/check007.sollya.reference,
	tests-tool/check008.sollya.reference,
	tests-tool/check009.sollya.reference,
	tests-tool/check010.sollya.reference,
	tests-tool/check011.sollya.reference,
	tests-tool/check012.sollya.reference,
	tests-tool/check013.sollya.reference,
	tests-tool/check014.sollya.reference,
	tests-tool/check015.sollya.reference,
	tests-tool/check016.sollya.reference,
	tests-tool/check018.sollya.reference,
	tests-tool/check019.sollya.reference,
	tests-tool/check021.sollya.reference,
	tests-tool/check022.sollya.reference,
	tests-tool/check025.sollya.reference,
	tests-tool/check027.sollya.reference,
	tests-tool/check028.sollya.reference,
	tests-tool/check030.sollya.reference: Trying to fix the bug
	'[#12665] The practical complexity of decimal display is very bad'.

2015-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/check.proto,
	tests-tool/Makefile.am: Attempt to include the patch proposed by
	Jeff Arnold regarding bug #17197

2015-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check027.sollya, tests-tool/check027.sollya.reference: 
	Non regression test for bug #18940.

2015-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Correcting a small bug consisting in a superfluous
	warning message.

2015-05-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, external.c, general.c, general.h, implement.c,
	internlexer.l, lexer.l, minilexer.l, printf.c, signalhandling.c,
	signalhandling.h: Trying to improve the situation with respect to
	that f**g stupid 'contact with Houston lost' issue.

2015-05-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Improved terminal handling.

2015-03-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check016.sollya, tests-tool/check016.sollya.reference: 
	Added non regression test for [#18746] Bug with pattern matching

2015-03-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patching "#18746 Bug with pattern matching".  No regression test added, yet.

2015-03-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, sollya-messages.h, sollya-messaging.h,
	tests-lib/tget_bounds_from_range.c,
	tests-lib/tget_interval_from_range.c,
	tests-tool/check001.sollya.reference: Corrected a bug in a precision
	value displayed in a warning message and unified warning messages
	displayed for evaluation of ranges. All messages now make clear that
	the inclusion property is satisfied.

2015-03-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/proc.shlp, doc/proc.tex, doc/www/proc.php, help.h: Corrected a
	typo in the doc of proc.

2015-02-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tinit_with_custom_memory_functions_with_arguments.c,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.referen
	ce: Finished testing of new functions in this branch
	libraryExtensions.

2015-02-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* : Merge remote-tracking branch 'origin/master' into
	libraryExtensions Conflicts: 	doc/sollya.pdf 	help.h

2015-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* infnorm.c, infnorm.h: Removed the implementation of
	sollya_mpfi_equal_p in infnorm.c The same function is already implemented in mpfi-compat.c

2015-02-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Corrected kind of a bug in configure when using
	--with-package without argument When --with-package is given to configure without any "=something"
	argument, the value of the argument defaults to "yes" which is
	non-sense in the purpose with which we use the --with-package option
	when configuring Sollya.  Moreover, the extra "-Lyes" produced by configure in this case turns
	out to be a problem at compile time (though not at configure time)
	because libtool seems to be extra careful about it and checks that
	the directory given as argument of "-L" indeed exists.  This commit patch this behavior by simply ignoring the
	--with-package directive when no argument or an empty argument is
	given.

2015-02-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/fpminimax.shlp, doc/fpminimax.tex, doc/www/fpminimax.php,
	help.h: * Corrected a typo in the doc of fpminimax (thx G. Revy for
	reporting it)

2015-02-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: * Modified .gitignore so as to hide tests files.

2015-02-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.tex, doc/www/sollya.php: Corrected a bug in *.tex
	version and reported changes in *.tex version into *.php version. To
	be checked.

2015-02-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tinit_with_arguments.c: Improving the way to code a
	constant.

2015-02-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tinit_with_arguments.c,
	tests-lib/tinit_with_arguments.reference: Added testing for
	sollya_lib_init_with_arguments().

2015-02-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/texecute_procedure.c,
	tests-lib/texecute_procedure.reference,
	tests-lib/tv_execute_procedure.c,
	tests-lib/tv_execute_procedure.reference: Added tests for
	sollya_lib_execute_procedure and sollya_lib_v_execute_procedure.

2015-01-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/texecute.c, tests-lib/texecute.reference: Adding a test
	for sollya_lib_execute().

2015-01-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am, tests-lib/texecute.c,
	tests-lib/texecute.reference, tests-lib/texecute_procedure.c,
	tests-lib/texecute_procedure.reference,
	tests-lib/tinit_with_arguments.c,
	tests-lib/tinit_with_arguments.reference,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.c,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.referen
	ce, tests-lib/tv_execute_procedure.c,
	tests-lib/tv_execute_procedure.reference: Starting work on testing
	for the new library functions.

2015-01-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/execute.shlp, doc/execute.tex, doc/sollya.tex,
	doc/www/execute.php, help.h: Some documentation work. The new texts
	in sollya.tex still need to be reported into sollya.php

2015-01-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* : Merge remote-tracking branch 'origin/master' into
	libraryExtensions

2015-01-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Patching memory allocation problems.

2015-01-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, infnorm.c, polynomials.c,
	tests-tool/timecheck.sollya: Patching memory leaks.

2015-01-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Trying to patch a bug in differentiation of
	polynomials.

2014-12-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.h, sollya-library-wrappers.c, sollya.h: Added a test
	function sollya_lib_obj_is_procedure.

2014-12-01  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Added support for calls to
	Sollya procedures from the Sollya library. Untested.

2014-11-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Added library support for
	execute. Untested.

2014-11-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, general.h, sollya-library-wrappers.c, sollya.h: Added
	support for argc, argv in library mode. (untested)

2014-11-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Addressing -Wextra issues.

2014-11-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, hooks.c: Addressing some -Wall warnings.

2014-11-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Adapted worst-case precision for hook evaluation in
	first-guess faithful rounded evaluation to a much lower level.

2014-10-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, tests-tool/check030.sollya.reference: 
	Struggling agin with hook evaluation precisions.

2014-10-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, mpfi-compat.c, mpfi-compat.h: Still trying to
	optimize hook evaluation.

2014-10-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, hooks.h, infnorm.c, tests-tool/check030.sollya.reference: 
	Some improvements to hook evaluation.

2014-10-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Small improvements to hook handling.

2014-10-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-lib/tfpminimax.reference,
	tests-lib/tv_fpminimax.reference,
	tests-tool/check016.sollya.reference: Corrected a bug with
	Hornerization.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Being extra safe for hook evaluation.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, hooks.c, hooks.h, infnorm.c,
	tests-tool/check030.sollya.reference: Playing with required
	tightness of evaluation results for hooked functions.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, tests-tool/check030.sollya.reference: Precision setting
	for hook evaluation again.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, polynomials.c: Patched a bug in polynomial division.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, infnorm.h: Improving precision handling for
	hooks.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, tests-tool/check030.sollya.reference: Improved
	precision handling in hook evaluation.

2014-10-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, tests-tool/check030.sollya.reference: Optimized function
	hook evaluation.

2014-10-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, sollya-library-wrappers.c,
	tests-lib/tsubstitute.reference: Better polynomial handling for
	particular cases.

2014-10-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Better behavior for composition of composed hooks.

2014-10-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tfpminimax.reference, tests-lib/tv_fpminimax.reference,
	tests-tool/check016.sollya.reference, tests-tool/timecheck.sollya: 
	New reference values.

2014-10-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: A small test.

2014-10-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h, hooks.c: Improved Hook
	handling.

2014-10-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, hooks.c, hooks.h, infnorm.c, infnorm.h,
	tests-tool/check030.sollya.reference: Hook recursion again. This
	should be fixed now --> finally!

2014-10-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Still maintaining hooks in place.

2014-10-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.h: Still trying to keep hooks alive for a
	longer period.

2014-10-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, expression.c: Trying to keep annotations for
	a longer period.

2014-10-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, general.h, remez.c: Prevented evaluation of a function
	over an interval when its result is just used to provoke the
	displaying of a message, which in turn, might be suppressed.

2014-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: A small modification on a flag.

2014-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Improved derivative hook evaluation even more.

2014-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, hooks.c, hooks.h, tests-tool/check030.sollya,
	tests-tool/check030.sollya.reference: Improved use of hooks for
	derivatives of functions that are repeatedly composed variants of
	hooked derivates of functions.

2014-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* remez.c, tests-lib/tannotatefunction.reference,
	tests-lib/tv_annotatefunction.reference,
	tests-tool/check030.sollya.reference: Improved memory reference
	handling in remez.

2014-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, hooks.c, hooks.h, infnorm.c: Recursion again.

2014-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, hooks.c, infnorm.c, infnorm.h: Prevented recursion
	on certain annotations.

2014-10-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, hooks.h: Trying to optimize precision handling in
	composition hooks.

2014-10-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, hooks.h: Improved polynomial hook evaluation when the
	hooked function has a zero at a point that is not in zero.

2014-10-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Improved precision handling in faithful evaluation
	code.

2014-10-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* : Merging in local changes.  commit 87c88704f9d12f8d00b978b0702df4062ef94bbd Author: Christoph
	Lauter <christoph.lauter@lip6.fr> Date:   Tue Oct 7 18:22:13 2014
	+0200

2014-09-21  Marc Mezzarobba <marc@mezzarobba.net>

	* .gitignore: .gitignore

2014-10-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h, polynomials.c,
	polynomials.h: Prevented memory reference looping in polynomial
	code.

2014-09-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Added new keywords to the Sollya keyword list.

2014-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Made output of getbacktrace() reparsable.

2014-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, internlexer.l, internparser.y, lexer.l,
	minilexer.l, miniparser.y, parser.y, sollya-library-wrappers.c,
	sollya.h: Finishing backtrace() functionality. Untested; testing
	still required.

2014-09-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Progress on backtrace() functionality.

2014-09-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, general.c: Again progress with backtrace()
	functionality.

2014-09-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, general.c, general.h: Continuing work on
	backtrace functionnality.

2014-09-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Starting work on backtrace.

2014-09-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* assignment.c, assignment.h, execute.c: Some progress with
	objectname() functionality.

2014-09-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Making sure a function doesn't get evaluated outside
	its definition domain by MPFR newton.

2014-09-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, infnorm.c: Trying to make Hopital evaluation faster.

2014-09-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Adding hook-based evaluation to legacy MPFR
	evaluation code.

2014-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* assignment.c, assignment.h, execute.c, execute.h, expression.h,
	internlexer.l, internparser.y, lexer.l, minilexer.l, miniparser.y,
	parser.y, sollya-library-wrappers.c, sollya.h: Starting to work on
	objectname and __this_proc_name features.

2014-09-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* assignment.c: Added a comment on an idea on memory referencing.

2014-09-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Again the hooks

2014-09-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Still working on the hooks.

2014-09-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* assignment.c, expression.c: Some improvements in hook handling.

2014-09-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, hooks.c, tests-tool/check030.sollya,
	tests-tool/check030.sollya.reference: Finished work necessary to
	keep hooks on functions when these functions are composed with other
	functions.

2014-09-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, hooks.c, hooks.h: Started work on extension of hook
	logic to allow for function composition when hooks are present.

2014-09-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Improved precision handling in polynomial hooks.

2014-09-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Allowing for better debug.

2014-09-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* match.c: Putting some extra-safety net into legacy matcher code.

2014-09-04  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Patched a nasty bug with simplification of rational
	functions that simplify to 1, when numerator and denominator are not
	structually the same polynomial and different from 1.

2014-08-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Patched a huge bug in a function related to faithful
	evaluation.

2014-08-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tdirtyinfnorm.c: Removed variables that are useless
	since previous commit.

2014-08-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tdirtyinfnorm.c, tests-lib/tdirtyinfnorm.reference,
	tests-tool/check002.sollya, tests-tool/check002.sollya.reference,
	tests-tool/check008.sollya, tests-tool/check008.sollya.reference,
	tests-tool/check009.sollya, tests-tool/check009.sollya.reference,
	tests-tool/check012.sollya, tests-tool/check012.sollya.reference: 
	Modified tests of dirtyinfnorm so as to test something like its
	semantics.

2014-08-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, polynomials.c: Patching a nasty bug in the
	polynomials.

2014-08-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/timecheck.sollya: New timecheck to cope with newly
	observed values.

2014-08-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* : commit 71d8673257018d179e497fd145ca0aec87c5f709 Author:
	Christoph Lauter <christoph.lauter@lip6.fr> Date:   Tue Aug 26
	17:06:07 2014 +0200

2014-08-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, tests-lib/tannotatefunction.c,
	tests-lib/tannotatefunction.reference: Added library testing for
	annotatefunction and patched a small incompatibility in the Sollya
	library.

2014-08-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am, tests-lib/tannotatefunction.c,
	tests-lib/tannotatefunction.reference: Starting work on a library
	test for annotatefuntion.

2014-08-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tcmp_equal.c, tests-lib/tcmp_equal.reference,
	tests-lib/tcmp_not_equal.c, tests-lib/tcmp_not_equal.reference,
	tests-lib/tsubstitute.c, tests-lib/tsubstitute.reference: Updated
	tests and references as agreed to with Sylvain.

2014-08-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/autosimplify.shlp, doc/autosimplify.tex, doc/equal.shlp,
	doc/equal.tex, doc/neq.shlp, doc/neq.tex, doc/sollya.tex,
	doc/www/autosimplify.php, doc/www/equal.php, doc/www/neq.php,
	doc/www/sollya.php, help.h, sollya-library-wrappers.c: Updated
	documentation and added an extra safety test in
	sollya_lib_printmessage.

2014-08-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tdirtysimplify.reference,
	tests-lib/tevaluate_function_at_constant_expression.reference,
	tests-lib/tevaluate_function_at_point.c,
	tests-lib/tevaluate_function_at_point.reference,
	tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference: Updated test references after
	discussion with Sylvain.

2014-08-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/remez.tex,
	doc/sollya.tex, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/remez.php, doc/www/sollya.php, doc/www/time.php,
	doc/www/timing.php, help.h: Recompiled the documentation.

2014-08-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, polynomials.c, tests-lib/tdiff.reference: 
	Patched a bug in dirty simplification of polynomials.  Updated a test file.

2014-08-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check003.sollya.reference,
	tests-tool/check011.sollya.reference,
	tests-tool/check013.sollya.reference,
	tests-tool/check018.sollya.reference,
	tests-tool/check019.sollya.reference,
	tests-tool/check024.sollya.reference: Updated test-tool reference
	file after discussion with Sylvain about the validity of that
	update.

2014-08-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, polynomials.c, tests-tool/check003.sollya: Reworking
	equality tests for polynomials.

2014-08-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/timecheck.sollya: New timecheck.

2014-08-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h: Patching a simplification
	bug where autosimplify is not respected for polynomials.

2014-08-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/annotatefunction.shlp, doc/annotatefunction.tex,
	doc/bashevaluate.tex, doc/bashexecute.tex, doc/equal.tex,
	doc/evaluate.tex, doc/implementconstant.tex,
	doc/introExample33.tex, doc/introExample34.tex,
	doc/introExample51.tex, doc/printsingle.tex, doc/remez.tex,
	doc/showmessagenumbers.tex, doc/sollya.tex, doc/taylor.tex,
	doc/taylorform.tex, doc/time.tex, doc/timing.tex,
	doc/www/annotatefunction.php, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/equal.php, doc/www/evaluate.php,
	doc/www/implementconstant.php, doc/www/introExample33.php,
	doc/www/introExample34.php, doc/www/introExample51.php,
	doc/www/printsingle.php, doc/www/remez.php,
	doc/www/showmessagenumbers.php, doc/www/sollya.php,
	doc/www/taylor.php, doc/www/taylorform.php, doc/www/time.php,
	doc/www/timing.php, help.h: Finished work on documentation for this
	branch.

2014-08-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/annotatefunction.shlp: Working on the documentation.

2014-08-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/annotatefunction.shlp, doc/annotatefunction.tex,
	doc/www/annotatefunction.php: Forgotten files.

2014-08-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/CommandsAndFunctions.tex, doc/keywords.def, doc/sollya.tex,
	doc/www/ListOfCommands.php, doc/www/sollya.php, help.h: Worked on
	documenting the new features of this branch.

2014-08-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, hooks.c: Patched two memory leaks.

2014-08-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, tests-tool/Makefile.am, tests-tool/check030.sollya,
	tests-tool/check030.sollya.reference: Added testing for
	annotatefunction functionnality and corrected a bug.

2014-08-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Starting work on tests for the new annotate functionnality.

2014-08-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c, remez.h: Some uncommitted optimization in Newton's
	algorithm that were forgotten.  We set up these optimization with Mark and Christoph a while ago but
	that I forgot until now. If I remember well, these optimization did
	not change much the efficiency of Newton's algorithm by that time,
	but it could be different once the branch improvedEvaluate will be
	ported back onto the trunk.  Also removed an old wrapper that is now useless.

2014-07-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* : Merging master onto the branch

2014-07-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Changed svn to git in the
	documentation titles.

2014-07-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* README: Updated README from svn to git.

2014-07-09  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Changed name of development version from SVN trunk
	to git devel.  'devel' stands for 'development' and is no longer name of a branch
	as naming a branch has no longer a global meaning.

2014-07-08  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c: Extended --args command prompt syntax. If the option
	order is non-ambiguous, the --args indication becomes optional.  This commit was extracted from SVN r2321.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2321
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-07-07  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* compile.sh, expansion.c, expansion.h: Moved metalibm-related files
	to metalibm repository.  This commit was extracted from SVN r2320.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2320
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-07-07  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c: Added support to pass command line (bash) arguments to
	a Sollya script and added support for a unique id identifier in a
	Sollya session.  This commit was extracted from SVN r2319.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2319
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-07-02  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, polynomials.c: Patching a problem with autoprint and
	high-degree polynomials.  This commit was extracted from SVN r2318.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2318
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-06-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c: Working against a spurious rounding.  This commit was extracted from SVN r2317.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2317
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-06-02  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* signalhandling.c, signalhandling.h: Starting work to make
	memory-references signal-safe.  This commit was extracted from SVN r2316.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2316
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.h, infnorm.c, mpfi-compat.c, mpfi-compat.h: Improved
	result predicates for faithfully/correctly rounded evaluation.  This commit was extracted from SVN r2315.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2315
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Worked for compiler happiness.  This commit was extracted from SVN r2314.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2314
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-26  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Changed algorithm for powering of polynomials with
	constant expressions that are no rational constants from very slow
	to half-slow. The algorithm is nevertheless faster than what we had
	with expression handling.  This commit was extracted from SVN r2313.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2313
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-26  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, expression.h, polynomials.c: Re-removed useless
	code.  This commit was extracted from SVN r2312.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2312
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-26  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, expression.h, infnorm.c, polynomials.c,
	polynomials.h, tests-tool/check015.sollya,
	tests-tool/check015.sollya.reference: Some progress on evaluation
	and polynomials.  This commit was extracted from SVN r2311.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2311
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Some issues subsist, some checks still fail.  This commit was extracted from SVN r2310.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2310
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.h, infnorm.c: Again performance regression.
	Trying to adapt working precision on intervals is non-sense,
	actually.  This commit was extracted from SVN r2309.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2309
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Worked against a performance regression for certain
	types of polynomials.  This commit was extracted from SVN r2308.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2308
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c, infnorm.h: Working for compiler happiness.  This commit was extracted from SVN r2307.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2307
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c, parser.y: Patched a bug and added support for library
	functions and procedure functions for fast faithful evaluation.  This commit was extracted from SVN r2306.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2306
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Converted all faithful evaluation code to a style where
	MPFR initializations are amortized as long as possible.  This commit was extracted from SVN r2305.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2305
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-21  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Corrected an improperly determined precision setting.  This commit was extracted from SVN r2304.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2304
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-21  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Still some performance improvements.  This commit was extracted from SVN r2303.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2303
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-21  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Removed a forgotten debug line.  This commit was extracted from SVN r2302.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2302
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-21  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c, general.h, infnorm.c: Preparing use of globally reused
	MPFR variables.  This commit was extracted from SVN r2301.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2301
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-21  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.h, infnorm.c, polynomials.c: Some progress
	with evaluation of functions using pure MPFR arithmetic as long as
	possible.  This commit was extracted from SVN r2300.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2300
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-21  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Some progress with evaluation of functions using pure
	MPFR arithmetic as long as possible.  This commit was extracted from SVN r2299.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2299
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-20  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Some progress with evaluation of functions using pure
	MPFR arithmetic as long as possible.  This commit was extracted from SVN r2298.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2298
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-05-20  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, expression.h, infnorm.c, mpfi-compat.c,
	mpfi-compat.h, polynomials.c, remez.c: Some progress with evaluation
	of functions using pure MPFR arithmetic as long as possible.  This commit was extracted from SVN r2297.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2297
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Some progress on improved evaluation of functions over
	quasi-point intervals.  This commit was extracted from SVN r2296.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2296
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c, mpfi-compat.c, mpfi-compat.h: Started working on
	improved evaluation of functions over quasi-point intervals.  This commit was extracted from SVN r2295.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2295
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* AUTHORS, autodiff.c, autodiff.h, chebyshevform.c,
	chebyshevform.h, chebyshevformaux.c, chebyshevformaux.h,
	configure.ac, doc/implementconstant.tex, doc/implementpoly.tex,
	doc/precision.shlp, doc/precision.tex, doc/sollya.tex,
	doc/www/implementconstant.php, doc/www/implementpoly.php,
	doc/www/precision.php, doc/www/sollya.php, double.c, execute.c,
	expression.c, help.h, implement.c, internparser.y, miniparser.y,
	mpfi-compat.c, mpfi-compat.h, parser.y, remez.c, sollya-messages.h,
	sollya-messaging.h, sollya.h, sturm.c, supnorm.c, supnorm.h,
	taylorform.c, taylorform.h, tests-lib/timplementpoly.reference,
	tests-lib/tprintsingle.reference,
	tests-lib/tv_implementpoly.reference,
	tests-tool/check001.sollya.reference, tests-tool/check027.sollya,
	tests-tool/check027.sollya.reference: Merged trunk onto branch using
	svn merge -r 2207:2293 svn://scm.gforge.inria.fr/svn/sollya/trunk .  This commit was extracted from SVN r2294.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2294
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tprintsingle.reference: Same as rev2279, but from
	tests-lib side This commit was extracted from SVN r2293.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2293
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-23  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: * Small modification of the number of guard bits used when computing
	x^(-k) where k is a non-negative integer, so as to reproduce the
	same behavior as before the optimization of sollya_lib_mpfi_pow.  This commit was extracted from SVN r2292.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2292
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, hooks.c, hooks.h, polynomials.c: Optimisations for
	the polynomials, patched a bug in polynomialGetDegree and added code
	to allow hooks to be copied.  This commit was extracted from SVN r2291.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2291
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Patched a bug in isHorner.  This commit was extracted from SVN r2290.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2290
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, polynomials.c, polynomials.h: Still
	improved polynomial handling quite a bit.  This commit was extracted from SVN r2289.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2289
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c: Still some additional optimizations for the
	polynomials.  This commit was extracted from SVN r2288.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2288
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.h, expression.c, polynomials.c: Some small progress on
	polynomials.  This commit was extracted from SVN r2287.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2287
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Avoiding a problem in the rare case when two MPFI
	arguments are the same MPFI variable.  This commit was extracted from SVN r2286.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2286
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* double.c, execute.c, expression.c, general.c, polynomials.c,
	printf.c, remez.c: Avoided some warnings.  This commit was extracted from SVN r2285.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2285
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, polynomials.c: Changed some lines in the polynomial
	code.  This commit was extracted from SVN r2284.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2284
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Synchro with Sylvain.  This commit was extracted from SVN r2283.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2283
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: * Wrote the same optimization for computing x^y when y is a negative
	integer as in the case when it is a non-negative integer.  This commit was extracted from SVN r2282.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2282
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Improved sollya_mpfi_pow_ulong This commit was extracted from SVN r2281.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2281
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Improved sollya_mpfi_pow_ulong This commit was extracted from SVN r2280.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2280
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check001.sollya.reference: * The patch at revision 2272 did not only fix a bug in the warning
	but also a double-rounding issue that was present from a very long
	time ago.  Irony of history: a test was present in the checks precisely for
	this purpose, but the reference value had not been checked carefully
	enough and was wrong.  So, to sum up: a bug has been fixed @2272 while we were not even
	aware of the presence of the bug. And the fact that the bug has been
	corrected has been detected by failure of routine checks during the
	weekly...  This commit was extracted from SVN r2279.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2279
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check013.sollya: Some progress again with the
	polynomials. The check013 fails and really seems to be bugged.  This commit was extracted from SVN r2278.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2278
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, execute.h, expression.c, polynomials.c, polynomials.h,
	tests-tool/check013.sollya: Some progress again with the
	polynomials. The check013 fails and really seems to be bugged.  This commit was extracted from SVN r2277.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2277
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-17  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, expression.h, infnorm.c, polynomials.c: 
	Again *some* progress with the polynomials.  This commit was extracted from SVN r2276.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2276
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-16  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, polynomials.c, polynomials.h: Some progress with the
	integration and debugging of the polynomials.  This commit was extracted from SVN r2275.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2275
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-15  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, expression.h, polynomials.c,
	polynomials.h: Some progress with using polynomial annotations.  This commit was extracted from SVN r2274.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2274
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-15  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* internparser.y, miniparser.y, parser.y: * Make Sollya's parser compatible with versions of Bison more recent
	than a century ago.  This commit was extracted from SVN r2273.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2273
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-15  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* double.c, tests-tool/check027.sollya,
	tests-tool/check027.sollya.reference: * Simplified the code for displaying floats in hexa, and fixing in
	the same time a bug in the warning that was displayed when a
	rounding occurs.  Also added non-regression tests.  This commit was extracted from SVN r2272.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2272
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-15  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Patched a division-by-zero bug on the following
	example: p = ((1 + x)^3000); degree(diff(p)); This commit was extracted from SVN r2271.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2271
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-14  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c: Starting work on polynomial hooks.  This commit was extracted from SVN r2270.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2270
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-14  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Debugging the polynomials.  This commit was extracted from SVN r2269.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2269
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-14  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* remez.c, sollya-messages.h, sollya-messaging.h: Added a warning
	message in the case when guessdegree is called with a weight
	function that does not seem to be continuous over the given
	interval.  This commit was extracted from SVN r2268.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2268
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-14  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Debugging the polynomials.  This commit was extracted from SVN r2267.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2267
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Debugging the polynomials.  This commit was extracted from SVN r2266.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2266
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Debugging the polynomials.  This commit was extracted from SVN r2265.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2265
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Debugging the polynomials.  This commit was extracted from SVN r2264.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2264
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Again some progress with a new implementation of
	polynomials.  This commit was extracted from SVN r2263.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2263
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Again some progress with a new implementation of
	polynomials.  This commit was extracted from SVN r2262.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2262
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* polynomials.c: Again some progress with a new implementation of
	polynomials.  This commit was extracted from SVN r2261.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2261
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c, general.h, polynomials.c, polynomials.h: Again some
	progress with a new implementation of polynomials.  This commit was extracted from SVN r2260.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2260
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-04-09  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c, general.h, infnorm.c, infnorm.h, mpfi-compat.c,
	mpfi-compat.h, polynomials.c, polynomials.h: Some progress with the
	polynomials, still not finished.  This commit was extracted from SVN r2259.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2259
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-03-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/precision.shlp, doc/precision.tex, doc/www/precision.php,
	help.h, remez.c: Fixed bug [#17133] Minor bug in the documentation
	of precision() This commit was extracted from SVN r2258.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2258
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-03-20  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* Makefile.am, polynomials.c, polynomials.h: Started working on a
	better way to represent polynomials in Sollya.  This commit was extracted from SVN r2257.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2257
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-21  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* implement.c: Patched a nasty bug in implementpoly occuring with
	precision handling inside that function.  This commit was extracted from SVN r2256.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2256
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-21  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: A small improvement to evaluation speed.  This commit was extracted from SVN r2255.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2255
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-20  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* hooks.c, hooks.h, infnorm.c, tests-tool/timecheck.sollya: Still
	some enhancements to the polynomial evaluation hooks.  This commit was extracted from SVN r2254.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2254
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-20  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c, general.h, sollya-library-wrappers.c,
	sollya-messages.h, sollya-messaging.h, sollya.h: Added a generic
	printmessage function to the Sollya library.  This commit was extracted from SVN r2253.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2253
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-19  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* remez.c: * Forgotten file at rev 2248 This commit was extracted from SVN r2252.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2252
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c, remez.c: Patched a problem with the evaluation of
	multiplication of functions containing divisions.  This commit was extracted from SVN r2251.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2251
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* remez.c: Did something wrong in the last commit.  This commit was extracted from SVN r2250.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2250
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c, remez.c: A slight improvement to reused-variables
	evaluation.  This commit was extracted from SVN r2249.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2249
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-18  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: * A better attempt to make remez' calls to uncertifiedInfnorm
	faster.  This commit was extracted from SVN r2248.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2248
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* remez.c: Making the timecheck pass again, leaving the real work
	behind that to Sylvain.  This commit was extracted from SVN r2247.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2247
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c: Some improvement to global reused variable management.  This commit was extracted from SVN r2246.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2246
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-17  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c, general.h, hooks.c, hooks.h, infnorm.c: Still some more
	improvements for evaluation.  This commit was extracted from SVN r2245.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2245
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-17  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* remez.c: * Attempt to make dirtyinform faster when computed inside remez.  This commit was extracted from SVN r2244.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2244
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-13  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Patched a small bug.  This commit was extracted from SVN r2243.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2243
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-13  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Still some slight improvements.  This commit was extracted from SVN r2242.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2242
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-13  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c, mpfi-compat.c, remez.c: Still some improvements in
	making evaluations faster.  This commit was extracted from SVN r2241.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2241
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-12  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c, general.h, infnorm.c, tests-tool/timecheck.sollya: 
	Still working on optimizing evaluations.  This commit was extracted from SVN r2240.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2240
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Tried to improve performance of common case interval
	evaluations.  This commit was extracted from SVN r2239.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2239
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: A small optimization for sollya_mpfi_pow in order to
	fit the use of pow the remez algorithm makes (polynomials in
	canonical form).  This commit was extracted from SVN r2238.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2238
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-10  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c: Still some improvements to memory reuse.  This commit was extracted from SVN r2237.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2237
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-10  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, tests-tool/check016.sollya.reference: Still some more
	progress on memory reference reuse that makes for hooks to survive
	Sollya level operations.  This commit was extracted from SVN r2236.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2236
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-10  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* chain.c, chain.h, execute.c, tests-tool/check016.sollya,
	tests-tool/check016.sollya.reference: Some progress in making hooked
	functions survive match constructs.  This commit was extracted from SVN r2235.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2235
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-07  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* hooks.c, infnorm.c: Tried some stuff with the evaluation hooks.  This commit was extracted from SVN r2234.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2234
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-06  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* hooks.c: Again some progress with the evaluation hooks.  This commit was extracted from SVN r2233.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2233
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-06  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, execute.h, hooks.c, hooks.h, internlexer.l,
	internparser.y, lexer.l, library.c, minilexer.l, miniparser.y,
	mpfi-compat.c, mpfi-compat.h, parser.y, sollya-library-wrappers.c,
	sollya-messages.h, sollya-messaging.h, sollya.h, sturm.c, sturm.h,
	supnorm.c: Again some progress with the evaluation hooks.  This commit was extracted from SVN r2232.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2232
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-06  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* hooks.c, hooks.h: Again some progress with the evaluation hooks.  This commit was extracted from SVN r2231.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2231
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-05  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* hooks.c, hooks.h: Again some progress with evaluation hooks.  This commit was extracted from SVN r2230.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2230
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-04  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* hooks.c: Again some progress with the hooks.  This commit was extracted from SVN r2229.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2229
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-04  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* hooks.c, hooks.h: Added a forgotten parameter to two functions.  This commit was extracted from SVN r2228.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2228
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, expression.h, hooks.c, hooks.h,
	infnorm.c: Some progress with evaluation hooks.  This commit was extracted from SVN r2227.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2227
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* Makefile.am, hooks.c, hooks.h: Added files for regrouping
	functions related to evaluation and delayed-simplification hooks.  This commit was extracted from SVN r2226.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2226
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2014-02-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* assignment.c, execute.c, expression.c, expression.h, infnorm.c,
	match.c, sollya-library-wrappers.c, tests-tool/timecheck.sollya,
	xml.c: Posed some ground-work in order to be able to add some
	evaluation and delayed-transformation hooks.  This commit was extracted from SVN r2225.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2225
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c, general.h: Started working on a double-linked chain of
	all memref'ed objects to allow them to be dagified when appropriate.  This commit was extracted from SVN r2224.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2224
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c,
	tests-lib/tevaluate_function_at_constant_expression.reference: 
	Trying to fix a couple of false positives in the tests for the
	Sollya library.  This commit was extracted from SVN r2223.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2223
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check024.sollya.reference, tests-tool/check027.sollya,
	tests-tool/timecheck.sollya: Fixing a couple of issues with false
	positives in the tool tests.  This commit was extracted from SVN r2222.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2222
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, expression.h: Again some progress on
	DAG-ification of Sollya objects.  This commit was extracted from SVN r2221.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2221
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, expression.h: Some progress with
	DAG-ified differentiation.  This commit was extracted from SVN r2220.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2220
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* AUTHORS, autodiff.c, autodiff.h, chebyshevform.c,
	chebyshevform.h, chebyshevformaux.c, chebyshevformaux.h,
	configure.ac, doc/implementconstant.tex, doc/implementpoly.tex,
	doc/sollya.tex, doc/www/implementconstant.php,
	doc/www/implementpoly.php, doc/www/sollya.php, execute.c, help.h,
	implement.c, mpfi-compat.c, mpfi-compat.h, sollya.h, sturm.c,
	supnorm.c, supnorm.h, taylorform.c, taylorform.h,
	tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference: * Corrected Mioara's email address.  This commit was extracted from SVN r2219.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2219
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c: Continued working on caching evaluation
	results.  This commit was extracted from SVN r2218.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2218
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-26  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac, doc/sollya.tex, doc/www/sollya.php: * Back to "SVN trunk" as a name of version in the trunk.  This commit was extracted from SVN r2217.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2217
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-26  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, expression.h, infnorm.c, mpfi-compat.c,
	mpfi-compat.h: Started working on caching evaluation results.  This commit was extracted from SVN r2215.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2215
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Optimized precision setting in uncertified infnorm.  This commit was extracted from SVN r2214.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2214
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Optimized precision settings again (2).  This commit was extracted from SVN r2213.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2213
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Optimized precision settings again.  This commit was extracted from SVN r2212.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2212
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Corrected a small precision bug.  This commit was extracted from SVN r2211.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2211
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Continuing to improve the precision settings.  This commit was extracted from SVN r2210.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2210
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c: Started working on a more sensible approach to
	precision incrementation for faithful or correct rounding.  This commit was extracted from SVN r2209.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2209
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-22  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* : * New branch to work on the optimization of the evaluation functions
	of Sollya.  This commit was extracted from SVN r2207.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/improvedEvaluate@2207
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-21  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog: New Changelog.  This commit was extracted from SVN r2204.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2204
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-21  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: * Proposition for an updated NEWS for sollya 4.1 beta 2.  This commit was extracted from SVN r2203.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2203
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-21  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/Makefile.am, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: * Non-regression test for bug #16632.  This commit was extracted from SVN r2202.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2202
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-21  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* remez.c: * Patched bug #16632 [Infinite loop in dirtyfindzeros] Also, there
	was a bug in the estimation of the precision of a root computed by
	Newton's algorithm.  As a result, I think that the algorithm could
	have oscillate between some value and its successor in the given
	floating-point format, without an end.  I hope that this revision
	also solves this issue, but I am not able to artificially produce
	such an example of oscillation, so I cannot check that my patch
	corrects this issue.  This commit was extracted from SVN r2201.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2201
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-13  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: * Second attempt.  The problem that we try to fix here is that
	adding -lstdc++ in the compilation line does not work when gcc is
	used to link and when gcc version does not agreee with g++ version.
	Also, it might not work if the version of g++ does not agree with
	the version of lstdc++.  We add -lstdc++ to the compilation line only if we are sure that it
	works. Not adding it does no harm in general, as it is only needed
	on Cygwin, with old versions of fplll.  Hopefully (but it is hard to
	  test it in order to be certain), if we are in the unlikely case
	  when: 1) we have an old version of fplll   2) we are on Cygwin   3) we cannot add -lstdc++ to the compilation line, configure will
	detect that sollya cannot be build on this specific machine. What
	makes me optimistic about it is the fact that there is a test after
	all this mess that tries to compile and run a small example program
	using fplll. I think that that test will fail on this particular
	architecture.  This commit was extracted from SVN r2200.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2200
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-13  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: * Attempt to patch configure.ac so as to test if -lstdc++ can be
	added or not to the compilation line.  This commit was extracted from SVN r2199.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2199
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-13  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* double.c: * Added a comment about corner cases for the new function
	convertHexadecimalStringToInt32.  This commit was extracted from SVN r2198.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2198
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-13  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tconstant_from_mpq.reference,
	tests-lib/tget_constant_as_mpq.reference: * The bug corrected by Christoph @rev 2194 was indeed detected by
	the test suite.  However, the reference files had not been correctly
	manually checked (my fault) so it was approving a wrong behavior.
	Should be ok right now.  This commit was extracted from SVN r2197.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2197
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-13  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.tex, doc/www/sollya.php, tests-lib/tprintf.c,
	tests-lib/tprintf.reference: * Updated tests and documentation with the new %k modifier of
	sollya_lib_printf.  HTML and TeX versions are checked to be
	synchronized.  This commit was extracted from SVN r2196.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2196
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-13  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* library.c, library.h: Preventing externalproc, library and
	libraryconstant from calling dlopen, dlclose and the deconstructor
	sollya_external_lib_close more than once per *.so, even if the *.so
	contains a library function and an external procedure at a time.  This commit was extracted from SVN r2195.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2195
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-12  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* sturm.c: Patched a display bug in sollya_lib_printf for r and k
	conversions when integers to be displayed become larger than 2^128.  This commit was extracted from SVN r2194.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2194
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-11-12  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* printf.c, sturm.c, sturm.h: Added sollya_lib_*printf modifier k
	for printing mpz_t values.  This commit was extracted from SVN r2193.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2193
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* double.c: Avoided use of strtoll, which does not seem to be POSIX
	compliant.  This commit was extracted from SVN r2192.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2192
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-15  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/libraryexample.c: Patching a warning message.  This commit was extracted from SVN r2191.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2191
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-14  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: * Changed "4.1" to "Release 4.1", in order to unify with what we did
	for previous releases.  --> Second release candidate.  This commit was extracted from SVN r2190.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2190
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-14  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: * First release candidate for 4.1 This commit was extracted from SVN r2189.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2189
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-14  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog: New Changelog.  This commit was extracted from SVN r2188.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2188
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-14  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac, doc/sollya.tex, doc/www/sollya.php: Changed name of
	Sollya version to 4.1.  This commit was extracted from SVN r2187.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2187
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-14  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: Better NEWS file.  This commit was extracted from SVN r2186.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2186
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-14  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/evaluate.tex,
	doc/externalproc.shlp, doc/externalproc.tex, doc/isevaluable.tex,
	doc/library.shlp, doc/library.tex, doc/libraryconstant.shlp,
	doc/libraryconstant.tex, doc/remez.tex, doc/time.tex,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/evaluate.php, doc/www/externalproc.php,
	doc/www/isevaluable.php, doc/www/library.php,
	doc/www/libraryconstant.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, help.h: Added documentation for destructor
	function in library functions, library constants and external
	procedures and recompiled the whole documentation.  This commit was extracted from SVN r2185.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2185
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-11  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am, tests-lib/tconstant_from_mpq.c,
	tests-lib/tconstant_from_mpq.reference,
	tests-lib/tconstant_from_mpz.c,
	tests-lib/tconstant_from_mpz.reference,
	tests-lib/tget_constant_as_mpq.c,
	tests-lib/tget_constant_as_mpq.reference,
	tests-lib/tget_constant_as_mpz.c,
	tests-lib/tget_constant_as_mpz.reference: * Tests for the new get_constant_mp* and constant_from_mp*
	functions.  This commit was extracted from SVN r2184.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2184
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-11  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* fpminimax.cpp: * suppress some warning appearing in fpminimax.cpp with -std=c99 +
	revert a change committed by mistake at previous revision.  This commit was extracted from SVN r2183.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2183
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-11  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* double.c, double.h, execute.h, fpminimax.cpp, implement.c,
	implement.h, implementconst.c, internlexer.l, lexer.l, proof.c,
	proof.h, remez.c, sollya-messages.h, sollya-messaging.h: * Copyrights are now up to date.  This commit was extracted from SVN r2182.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2182
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-11  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: * First draft for NEWS file.  This commit was extracted from SVN r2180.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2180
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog: A new changelog.  This commit was extracted from SVN r2179.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2179
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-11  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check027.sollya, tests-tool/check027.sollya.reference: * Non-regression tests for bugs #13046 and #16434.  Bug #16434 is
	not completely fixed though, because it still requires to take a
	decision about what Sollya should return when asked for evaluating
	a/b with a and b mathematically equal to 0.  Currently, we return
	[-Inf, Inf] (this is the behavior considered as correct in the newly
	added tests in check027.sollya, for instance). We have always
	considered that [-Inf, Inf] and NaN were approximately as useless,
	so we did not think too much about when we should return one or
	another.  However, for instance sin([-Inf, Inf]) can legitimately
	return [-1, 1], while sin([NaN, NaN]) must return NaN. One means
	'some arbitrary value in the range of sin' while the other means
	'some computation was incorrect'.  We do not change this behavior now, but we might think of this
	problem and change the behavior for a future release.  This commit was extracted from SVN r2178.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2178
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, tests-tool/Makefile.am,
	tests-tool/check001.sollya.reference, tests-tool/check028.sollya,
	tests-tool/check028.sollya.reference: Trying to patch "[#16521]
	Incoherent behavior" This commit was extracted from SVN r2177.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2177
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-10  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* infnorm.c, integral.c, tests-tool/check004.sollya.reference,
	tests-tool/check005.sollya.reference, tests-tool/check027.sollya,
	tests-tool/check027.sollya.reference: * Removed some old portion of code that seems to be useless and too
	conservative.  This commit was extracted from SVN r2176.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2176
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-10  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* remez.c: * Patched a nasty bug in Newton: whenever the iterator of Newton's
	algorithm evaluates to NaN, the next point of the algorithm used to
	be NaN leading to an infinite loop.  This bug is here for a very
	long time, but seems to have been undiscovered until now, because it
	is barely impossible to produce.  We incidentally discovered it two
	revisions ago, because of deep modifications that we made in the
	code used to simplify expressions.  The problem has been detected by
	check012 which felt into an infinite loop.  These modifications have
	been further improved at previous revision, hiding again the bug in
	Newton.  I am unfortunately not able to produce a non-regression
	test in the current state of the repository.  This commit was extracted from SVN r2175.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2175
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-10  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, tests-tool/check012.sollya,
	tests-tool/check012.sollya.reference: Make checks pass again.  This commit was extracted from SVN r2174.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2174
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-10  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Synchronizing with Sylvain.  This commit was extracted from SVN r2173.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2173
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-10  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Synchronizing with Sylvain.  This commit was extracted from SVN r2172.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2172
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-10  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, expression.h: * Final version of the safe simplification procedures, finally
	solving bug #16434.  Non-regression tests still to come.  Does not
	solve #13046 however.  This commit was extracted from SVN r2171.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2171
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-09  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check027.sollya, tests-tool/check027.sollya.reference: * Added non-regression test for bug #10317.  This commit was extracted from SVN r2170.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2170
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-09  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Simplifying the simplification test code again.  This commit was extracted from SVN r2169.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2169
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-09  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Synchronizing with Sylvain.  This commit was extracted from SVN r2168.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2168
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-09  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Simplifying the simplification test code.  This commit was extracted from SVN r2167.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2167
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-09  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: * Few corrections to containsOnlyRealNumbers so as to make it test
	really if some expression contains only real numbers (and no NaN nor
	infinities).  This commit was extracted from SVN r2166.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2166
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-09  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Synchronization with Sylvain.  This commit was extracted from SVN r2165.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2165
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-09  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.tex, doc/www/sollya.php: * Updated documentation with the new functions
	sollya_lib_get_constant_from_mp[qz] and
	sollya_lib_constant_from_mp[qz]. The tests for these functions
	remain to be done.  HTML and TeX versions are checked to be synchronized.  This commit was extracted from SVN r2164.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2164
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-09  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check027.sollya, tests-tool/check027.sollya.reference: * Added non-regression test for bug #15239.  This commit was extracted from SVN r2163.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2163
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-08  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Updated simplification test code again after
	discussion with Sylvain.  This commit was extracted from SVN r2162.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2162
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-08  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, tests-lib/tdirtysimplify.reference,
	tests-tool/check014.sollya.reference: A proposal for a patch
	addressing the issue "[#15239] Constant subexpressions of
	expressions that are not constant not evaluated faithfully for
	autoprint". If the discussion in the tracker ends up showing that we
	should not do such simplifications, it suffices to revert this
	commit.  This commit was extracted from SVN r2161.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2161
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-07  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: * Added some comments about about simplification tests. Should be
	discussed with Christoph.  This commit was extracted from SVN r2160.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2160
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-04  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Removing extra-pessimistic tests from simplification
	testing code.  This commit was extracted from SVN r2159.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2159
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-04  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: * Gave a precise semantic to the functions defined by Christoph for
	safe simplification of expressions.  This commit was extracted from SVN r2158.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2158
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Corrected a problem with illegal simplifications on
	logarithms.  This commit was extracted from SVN r2157.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2157
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/expand.shlp, doc/expand.tex, doc/www/expand.php, help.h: 
	Patching documentation accordance to the agreement found in the bug
	tracker [#13844] Documentation of expand does not correspond to
	actual behavior of expand.  This commit was extracted from SVN r2156.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2156
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-10-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check027.sollya, tests-tool/check027.sollya.reference: 
	Updating a test file and its reference to be more verbose.  This commit was extracted from SVN r2155.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2155
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-09-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Removed some dead code.  This commit was extracted from SVN r2154.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2154
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-09-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, tests-tool/check001.sollya.reference: 
	Trying to patch [#16434] Illegal simplification This commit was extracted from SVN r2153.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2153
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-09-24  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* fpminimax.cpp: * Reverts a change in fpminimax committed by mistake.  This commit was extracted from SVN r2152.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2152
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-09-24  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* double.c, double.h, fpminimax.cpp, tests-tool/Makefile.am,
	tests-tool/check027.sollya, tests-tool/check027.sollya.reference: * Patched bugs #10322 and #15256 and added non-regression tests.  This commit was extracted from SVN r2151.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2151
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-09-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c: Patching a small problem with evaluate.  This commit was extracted from SVN r2150.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2150
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-09-12  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference: Committing two forgotten
	files.  This commit was extracted from SVN r2147.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2147
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-09-11  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/Makefile.am, tests-tool/check024.sollya,
	tests-tool/check024.sollya.reference, tests-tool/libraryexample.c: * Patched a bug with check024 when tested on Cygwin.  This commit was extracted from SVN r2146.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2146
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-09-09  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/implementconstant.tex, doc/implementpoly.tex, doc/remez.tex,
	doc/time.tex, doc/timing.tex, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/implementconstant.php,
	doc/www/implementpoly.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, help.h, implement.c, implement.h,
	implementconst.c: Added copyright statement and disclaimer in output
	of implementpoly and implementconstant. Recompiled the
	documentation.  This commit was extracted from SVN r2141.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2141
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-08-01  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, expression.h, sollya-library-wrappers.c,
	sollya-messages.h, sollya-messaging.h, sollya.h: Added the functions
	sollya_obj_t sollya_lib_constant_from_mpz(mpz_t), sollya_obj_t
	sollya_lib_constant_from_mpq(mpq_t), int
	sollya_lib_get_constant_as_mpz(mpz_t, sollya_obj_t) and int
	sollya_lib_get_constant_as_mpq(mpq_t, sollya_obj_t) to the Sollya
	library. Testing is still required.  This commit was extracted from SVN r2140.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2140
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-29  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* chebyshevform.c, remez.c, taylorform.c: Slightly change messaging
	behavior for some algorithms.  This commit was extracted from SVN r2139.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2139
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-29  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, external.c, plot.c: Overcame a couple of compilation
	warnings seen with clang.  This commit was extracted from SVN r2138.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2138
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-26  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* sollya-library-wrappers.c: Fixed a warning found with clang.  This commit was extracted from SVN r2137.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2137
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-25  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* fpminimax.cpp, tests-tool/check012.sollya,
	tests-tool/check012.sollya.reference: * Patched bug #16164 and added non-regression test.  This commit was extracted from SVN r2136.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2136
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-25  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* double.c, tests-lib/tget_constant_as_int64.reference,
	tests-lib/tget_constant_as_uint64.reference,
	tests-tool/check025.sollya, tests-tool/check025.sollya.reference: * Non regression tests for bug #16155.  This commit was extracted from SVN r2135.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2135
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-25  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* double.c, expression.c, expression.h, sollya-library-wrappers.c: 
	Making some progress with the recent nearestint changes and
	associated issues in sollya_lib_get_constant_as_int64 and
	sollya_lib_get_constant_as_uint64.  This commit was extracted from SVN r2134.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2134
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-25  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* double.c, double.h, expression.c, infnorm.c: Making check013 pass
	again (nearestint now returns the even integer in case of a tie) This commit was extracted from SVN r2133.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2133
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-24  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c, infnorm.c: Trying to patch bug #16155 "A computation
	involving ceil leads to a result with wrong sign" This commit was extracted from SVN r2132.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2132
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-15  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check013.sollya, tests-tool/check013.sollya.reference: * Non-regression tests for bug #8078.  This commit was extracted from SVN r2131.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2131
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-01  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* library.c: Putting back a line that Sylvain removed too soon.  This commit was extracted from SVN r2130.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2130
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-07-01  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* parser.y: * Removed simplifysafe from the 'help help' list.  This commit was extracted from SVN r2129.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2129
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-30  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* library.c, tests-lib/tdirtysimplify.c: * Forgotten changes following the creation of new command
	dirtysimplify.  This commit was extracted from SVN r2128.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2128
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tsimplify.c: * Forgotten to modify some file in previous commit.  This commit was extracted from SVN r2127.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2127
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tsimplify.c, tests-lib/tsimplify.reference,
	tests-lib/tsimplifysafe.c, tests-lib/tsimplifysafe.reference: * 2nd round of modifications of the tests, according to the new
	semantics of simplify.  This commit was extracted from SVN r2126.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2126
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am, tests-lib/tdirtysimplify.c,
	tests-lib/tdirtysimplify.reference,
	tests-lib/tmantissa_and_exponent.c, tests-lib/tsimplify.c,
	tests-lib/tsimplify.reference, tests-tool/check011.sollya,
	tests-tool/memoryleaks.sollya, tests-tool/timecheck.sollya: * First round of modifications of the tests, according to the new
	semantics of simplify.  This commit was extracted from SVN r2125.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2125
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/Makefile.am, tests-tool/check026.sollya,
	tests-tool/check026.sollya.reference: * Added non-regression tests for bug #8306 This commit was extracted from SVN r2124.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2124
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/CommandsAndFunctions.tex, doc/dirtysimplify.shlp,
	doc/dirtysimplify.tex, doc/expand.shlp, doc/expand.tex,
	doc/horner.shlp, doc/horner.tex, doc/introExample51.tex,
	doc/keywords.def, doc/rationalmode.shlp, doc/rationalmode.tex,
	doc/simplify.shlp, doc/simplify.tex, doc/simplifysafe.shlp,
	doc/simplifysafe.tex, doc/www/ListOfCommands.php,
	doc/www/dirtysimplify.php, doc/www/expand.php, doc/www/horner.php,
	doc/www/introExample51.php, doc/www/rationalmode.php,
	doc/www/simplify.php, doc/www/simplifysafe.php, help.h, parser.y: 
	Finished moving around the simplify/simplifysafe/dirtysimplify
	commands.  This commit was extracted from SVN r2123.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2123
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/dirtysimplify.shlp, doc/dirtysimplify.tex,
	doc/introExample51.tex, doc/simplifysafe.shlp,
	doc/simplifysafe.tex, doc/www/dirtysimplify.php,
	doc/www/introExample51.php, doc/www/simplifysafe.php: Corrected an
	error on library name correspondence.  This commit was extracted from SVN r2122.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2122
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/expand.shlp, doc/expand.tex, doc/introExample51.tex,
	doc/simplifysafe.shlp, doc/simplifysafe.tex, doc/www/expand.php,
	doc/www/introExample51.php, doc/www/simplifysafe.php, help.h: Made
	documentation compile again.  This commit was extracted from SVN r2121.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2121
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/CommandsAndFunctions.tex, doc/bashevaluate.tex,
	doc/bashexecute.tex, doc/dirtysimplify.shlp, doc/dirtysimplify.tex,
	doc/expand.tex, doc/honorcoeffprec.shlp, doc/honorcoeffprec.tex,
	doc/horner.tex, doc/implementpoly.shlp, doc/implementpoly.tex,
	doc/introExample51.tex, doc/keywords.def, doc/rationalapprox.shlp,
	doc/rationalapprox.tex, doc/rationalmode.tex, doc/remez.tex,
	doc/simplify.shlp, doc/simplify.tex, doc/simplifysafe.shlp,
	doc/simplifysafe.tex, doc/time.tex, doc/timing.tex,
	doc/www/ListOfCommands.php, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/dirtysimplify.php,
	doc/www/expand.php, doc/www/honorcoeffprec.php, doc/www/horner.php,
	doc/www/implementpoly.php, doc/www/introExample51.php,
	doc/www/rationalapprox.php, doc/www/rationalmode.php,
	doc/www/remez.php, doc/www/simplify.php, doc/www/simplifysafe.php,
	doc/www/time.php, doc/www/timing.php, execute.c, execute.h, help.h,
	internlexer.l, internparser.y, lexer.l, library.c, minilexer.l,
	miniparser.y, parser.y, sollya-library-wrappers.c, sollya.h: Changed
	simplify to dirtysimplify and aliased simplifysafe with simplify.
	HTML doc not published, PDF doc does not compile. Check do not pass.  This commit was extracted from SVN r2120.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2120
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c: Trying to finally patch bug #8306 "Parsing of
	non-representable decimal constants in point-interval notation may
	give FP point intervals".  This commit was extracted from SVN r2119.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2119
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check025.sollya, tests-tool/check025.sollya.reference: * Kind of non-regression test for bug #8726.  This commit was extracted from SVN r2118.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2118
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-24  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check025.sollya, tests-tool/check025.sollya.reference: * Non regression test for bug #15018 This commit was extracted from SVN r2117.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2117
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-24  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check025.sollya, tests-tool/check025.sollya.reference: * Non-regression test for bug #15249 This commit was extracted from SVN r2116.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2116
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-24  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/Makefile.am, tests-tool/check025.sollya,
	tests-tool/check025.sollya.reference: Non-regression test for bug
	#15250.  This commit was extracted from SVN r2115.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2115
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-21  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/Makefile.am, tests-tool/check024.sollya,
	tests-tool/check024.sollya.reference: * Non-regression test for bug #15927 This commit was extracted from SVN r2114.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2114
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-21  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: * Removed too much at previous revision.  This commit was extracted from SVN r2113.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2113
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-21  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: * Removing some code in configure.ac that neither Christoph nor me
	understands.  This code was probably designed to prevent some
	possible trouble on Cygwin but it seems incomplete and we cannot
	complete it without fully understanding what circumstances it is
	intended to catch.  This commit was extracted from SVN r2112.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2112
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-21  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: * Improved configure.ac, in particular with a more systematic test
	suite for FPLLL.  This commit was extracted from SVN r2111.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2111
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-20  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: Trying to patch the FPLLL build bug on Ubuntu.  This commit was extracted from SVN r2110.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2110
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* implement.c, proof.c, proof.h: Making Gappa proof generation work
	better with recent versions of Gappa.  This commit was extracted from SVN r2108.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2108
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-17  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* expression.c: Patched a bug on printing library functions.  This commit was extracted from SVN r2107.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2107
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* compile.sh, expansion.c: Metalibm synchronization.  This commit was extracted from SVN r2106.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2106
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-10  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check001.sollya.reference: * Forgot a new line character.  This commit was extracted from SVN r2105.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2105
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-10  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check001.sollya.reference: * The behavior of degree on '0/x' is actually expected to be -1,
	since we cannot simplify expressions of the form 0/something and
	degree of an expression that is not a polynomial is expected to be
	-1.  This commit was extracted from SVN r2104.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2104
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-10  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check001.sollya, tests-tool/check001.sollya.reference: * Non-regression tests for bug #15858 patched at revision 2102.
	Yet, the current behavior of degree on 0/x does not seems normal to
	me.  Consequently, the just added non-regression test fails
	currently.  This commit was extracted from SVN r2103.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2103
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-10  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, expression.c, expression.h: Patched a bug in
	hornerization, division by a power of x and computation of the
	degree of a polynomial. The patch required adding some optimization
	to the code extracting the i-th coefficient of a polynomial
	expression.  This commit was extracted from SVN r2102.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2102
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-06-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* library.c, sollya-messages.h, sollya-messaging.h: Added support
	for an optional destructor function in an external library.  This commit was extracted from SVN r2101.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2101
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-31  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/index.php,
	doc/www/sollya.php: * Typos. Removed index.php from versionning because it is not part
	of the documentation.  This commit was extracted from SVN r2100.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2100
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-29  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* README, configure.ac: * configure.ac more readable and simpler. Should patch a bug
	observed with configure observed on machines that do not have mpfi
	installed.  Amongst other, the test for dladdr used to
	systematically think that dladdr was not present, as soon as mpfi
	was not present.  This commit was extracted from SVN r2093.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2093
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-29  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac, library.c: Made dladdr use more portable.  This commit was extracted from SVN r2092.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2092
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.tex: * Restored previous formatting of the title of sollya.pdf, for
	homogeneity with what is used when we release.  This commit was extracted from SVN r2088.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2088
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog: New ChangeLog.  This commit was extracted from SVN r2079.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2079
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/introExample51.tex, doc/www/introExample51.php: Recompiled the
	examples in the generalities section of the documentation.  This commit was extracted from SVN r2078.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2078
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/range.tex, doc/remez.tex, doc/time.tex, doc/timing.tex,
	doc/www/accurateinfnorm.php, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/bind.php, doc/www/boolean.php,
	doc/www/constant.php, doc/www/d.php, doc/www/dd.php,
	doc/www/de.php, doc/www/execute.php, doc/www/externalproc.php,
	doc/www/hp.php, doc/www/integer.php, doc/www/isbound.php,
	doc/www/isevaluable.php, doc/www/listof.php, doc/www/nop.php,
	doc/www/object.php, doc/www/print.php, doc/www/proc.php,
	doc/www/procedure.php, doc/www/qd.php, doc/www/quit.php,
	doc/www/range.php, doc/www/readfile.php, doc/www/remez.php,
	doc/www/restart.php, doc/www/return.php, doc/www/sg.php,
	doc/www/string.php, doc/www/td.php, doc/www/time.php,
	doc/www/timing.php, doc/www/var.php, doc/www/write.php, help.h: 
	Recompiled the whole documentation, published its html version and
	updated the Changelog file.  This commit was extracted from SVN r2077.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2077
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/shlp2html.sh: * New MemoRelease and corrected a bug in shlp2html This commit was extracted from SVN r2076.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2076
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog: New Changelog.  This commit was extracted from SVN r2075.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2075
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/round.shlp, doc/round.tex, doc/www/round.php, help.h: 
	Corrected a typo.  This commit was extracted from SVN r2074.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2074
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac, doc/round.shlp, doc/round.tex, doc/sollya.tex,
	doc/www/round.php, doc/www/sollya.php, help.h: Added a section in
	documentation for round.  This commit was extracted from SVN r2073.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2073
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/chebyshevform.shlp, doc/chebyshevform.tex,
	doc/www/chebyshevform.php, help.h: * Updated doc of chebyshevform This commit was extracted from SVN r2072.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2072
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/externalproc.shlp, doc/externalproc.tex,
	doc/www/externalproc.php, externalproc.c, help.h: Updated
	externalproc documentation.  This commit was extracted from SVN r2071.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2071
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/externalproc.shlp, doc/externalproc.tex, doc/publishwww.sh,
	doc/www/externalproc.php, externalproc.c, help.h: * doc of externalproc should be up-to-date.  This commit was extracted from SVN r2069.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2069
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* : Recompiled the documentation.  This commit was extracted from SVN r2068.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2068
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/CommandsAndFunctions.tex, doc/boolean.shlp, doc/boolean.tex,
	doc/constant.shlp, doc/constant.tex, doc/externalproc.shlp,
	doc/externalproc.tex, doc/function.shlp, doc/function.tex,
	doc/integer.shlp, doc/integer.tex, doc/keywords.def,
	doc/listof.shlp, doc/listof.tex, doc/object.shlp, doc/object.tex,
	doc/range.shlp, doc/string.shlp, doc/string.tex,
	doc/taylorform.shlp, doc/taylorform.tex,
	doc/www/ListOfCommands.php, doc/www/boolean.php,
	doc/www/constant.php, doc/www/function.php, doc/www/integer.php,
	doc/www/listof.php, doc/www/object.php, doc/www/string.php,
	doc/www/taylorform.php, help.h: Added documentation for object and
	added some SEEALSOs This commit was extracted from SVN r2067.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2067
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* parser.y: Added some entries to help help list.  This commit was extracted from SVN r2066.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2066
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-24  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/chebyshevform.shlp, doc/chebyshevform.tex,
	doc/fullparentheses.shlp, doc/fullparentheses.tex,
	doc/implementconstant.shlp, doc/implementconstant.tex,
	doc/www/chebyshevform.php, doc/www/fullparentheses.php,
	doc/www/implementconstant.php, help.h, sollya-library-wrappers.c,
	sollya.h: Removed a doubled function name in sollya.h and
	implementation, added library function names for chebyshevform,
	fullparentheses and implementconstant.  This commit was extracted from SVN r2065.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2065
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-24  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* parser.y: Corrected help help.  This commit was extracted from SVN r2064.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2064
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-24  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog: New Changelog file.  This commit was extracted from SVN r2063.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2063
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-24  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/chebyshevform.shlp, doc/chebyshevform.tex,
	doc/taylorform.shlp, doc/taylorform.tex, doc/www/chebyshevform.php,
	doc/www/taylorform.php, help.h: Reformatted the documentation a
	little bit.  This commit was extracted from SVN r2060.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2060
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c: A small change to the parser inclusion structure.  This commit was extracted from SVN r2059.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2059
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c, parser.y: A small change to the parser inclusion
	structure.  This commit was extracted from SVN r2058.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2058
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/remez.tex, doc/sollya.tex, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/remez.php, doc/www/sollya.php, doc/www/time.php,
	doc/www/timing.php, general.c, help.h: Updated revision number and
	recompiled the whole documentation.  This commit was extracted from SVN r2057.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2057
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-23  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/remez.shlp, doc/remez.tex, doc/www/remez.php, help.h: * Updated remez documentation with the new 6th argument.  This commit was extracted from SVN r2056.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2056
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog: Updated the Changelog file.  This commit was extracted from SVN r2055.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2055
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: Corrected two typos in the new NEWS file.  This commit was extracted from SVN r2054.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2054
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-23  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: * Final (?) NEWS file.  This commit was extracted from SVN r2053.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2053
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-23  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/fpminimax.tex,
	doc/nop.shlp, doc/nop.tex, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/fpminimax.php, doc/www/nop.php, doc/www/time.php,
	doc/www/timing.php, help.h: Updated documentation for nop and
	recompiled the whole documentation.  This commit was extracted from SVN r2052.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2052
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-22  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: * NEWS file, in progress as usual...  This commit was extracted from SVN r2051.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2051
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-22  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: * NEWS file, in progress.  This commit was extracted from SVN r2050.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2050
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-22  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: * NEWS file as it is.  This commit was extracted from SVN r2049.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2049
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-16  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS, expansion.c: Updated interface with metalibm.  This commit was extracted from SVN r2048.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2048
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-03  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: * Current NEWS file (work in progress).  This commit was extracted from SVN r2047.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2047
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-03  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: Current version of NEWS (work in progress) This commit was extracted from SVN r2046.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2046
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-05-02  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, external.c, mpfi-compat.c, sollya-library-wrappers.c: 
	Added code to make sure that any zero that leaves Sollya in a binary
	manner (as an MPFR or a double) has a + sign, and made sure that all
	intervals handled internally and passed out in a binary manner
	through MPFIs have zeros that are signed according to the rules
	adopted by MPFI. The committer covers his opinion on MPFI's
	convention under the veil of philosophic silence. Test are still
	missing and will be required.  This commit was extracted from SVN r2045.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2045
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-22  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* NEWS: First classification for the NEWS of 4.0 This commit was extracted from SVN r2044.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2044
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-15  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: * Updated doc according to Christoph's remarks. HTML and tex are
	synchronized.  This commit was extracted from SVN r2043.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2043
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-15  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog: New ChangeLog.  This commit was extracted from SVN r2042.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2042
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-15  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* ChangeLog, NEWS: New Changelog and a draft for a new NEWS file.  This commit was extracted from SVN r2041.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2041
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-05  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/www/sollya.php: * Synchronized HTML version with tex version + corrected typos
	specific to the HTML version.  This commit was extracted from SVN r2040.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2040
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-05  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.tex, tests-lib/Makefile.am,
	tests-lib/tmsg_callback_functions.c,
	tests-lib/tmsg_callback_functions.reference: * Tests for meassge callbacks.  This commit was extracted from SVN r2039.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2039
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-05  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* general.c, general.h, sollya-library-wrappers.c, sollya.h: Changed
	type of sollya_lib_get_msg_callback in order to allow the function
	to return the void * pointer to the user data that might have been
	registered together with the callback function.  This commit was extracted from SVN r2038.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2038
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-03  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tprintf.c, tests-lib/tprintf.reference: * Final (!) modification for tprintf.  This commit was extracted from SVN r2037.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2037
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* printf.c: Synchronizing with Sylvain.  This commit was extracted from SVN r2036.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2036
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-03  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tprintf.c, tests-lib/tprintf.reference: * Last modifications (?) to tprintf. The reference file has been
	manually checked. As a consequence, the test currently fails because
	of a bug in the way sollya_lib_printf handles "%.v" and "%.w"
	(should be handled the same way as "%.0v" and "%.0w") This commit was extracted from SVN r2035.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2035
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tconstant_from_double.c,
	tests-lib/tdecompose_function.c, tests-lib/tget_head_function.c,
	tests-lib/tv_decompose_function.c: Patched a couple of warnings seen
	with icc in the test files.  This commit was extracted from SVN r2034.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2034
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: Patched a problem with fplll detection on Cygwin.  This commit was extracted from SVN r2033.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2033
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: Synchro with Sylvain.  This commit was extracted from SVN r2032.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2032
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: Tried to make mechanism for .so libraries in
	configure script portable. - Version 2 This commit was extracted from SVN r2031.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2031
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-03  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: Tried to make mechanism for .so libraries in
	configure script portable.  This commit was extracted from SVN r2030.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2030
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-02  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/www/sollya.php: * Corrected bugged href.  This commit was extracted from SVN r2029.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2029
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-02  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am, tests-lib/tcopy_obj.c,
	tests-lib/tcopy_obj.reference: * Tests for sollya_lib_copy_obj.  * Updated TODO list.  This commit was extracted from SVN r2028.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2028
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-04-01  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tprintf.c, tests-lib/tprintf.reference: * Final (?) set of tests for printf. The reference file must still
	be checked manually.  This commit was extracted from SVN r2027.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2027
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-29  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac, tests-lib/tprintf.c: * The patch of revision 2024 broke configure in the case when a
	"--with-*" is passed to configure. This is a patch. Not sure that it
	is completely portable though.  This commit was extracted from SVN r2026.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2026
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-29  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac, doc/sollya.tex, doc/www/sollya.php: setting name of
	Sollya to 4.0-Release Candidate This commit was extracted from SVN r2025.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2025
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-29  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: * Added tests in configure to ensure that dynamic libraries are
	found at runtime.  This commit was extracted from SVN r2024.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2024
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* AUTHORS, assignment.h, autodiff.c, autodiff.h, bitfields.h,
	chain.h, chebyshevform.c, chebyshevform.h, chebyshevformaux.c,
	chebyshevformaux.h, configure.ac, doc/conversionIntro.sh,
	doc/sollya.tex, doc/www/index.php, doc/www/sollya.php, double.h,
	execute.c, execute.h, expansion.h, expression.h, external.h,
	fpminimax.h, general.c, general.h, help.h, implement.h,
	implementconst.h, infnorm.h, integral.h, library.h,
	libsollyaexample.c, main.h, match.c, match.h, mpfi-compat.c,
	mpfi-compat.h, parser.y, plot.h, printf.h, proof.h, remez.h,
	signalhandling.h, sollya-library-wrappers.h, sollya-messages.h,
	sollya-messaging.h, sollya.h, sturm.c, sturm.h, supnorm.c,
	supnorm.h, taylor.h, taylorform.c, taylorform.h, worstcase.h, xml.h: * Copyright are now (hopefully) up to date.  This commit was extracted from SVN r2022.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2022
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* assignment.c, assignment.h, autodiff.c, autodiff.h, bitfields.c,
	bitfields.h, chain.c, chebyshevform.c, chebyshevform.h,
	chebyshevformaux.c, chebyshevformaux.h, double.c, execute.c,
	execute.h, expansion.c, expansion.h, expression.c, expression.h,
	external.c, externalfun.c, externalproc.c, fpminimax.h, general.c,
	implement.c, implement.h, implementconst.c, implementconst.h,
	infnorm.c, infnorm.h, integral.c, integral.h, library.c, library.h,
	libsollyaexample.c, main.c, main.h, match.c, mpfi-compat.c,
	mpfi-compat.h, plot.c, plot.h, printf.c, proof.c, proof.h, remez.c,
	signalhandling.c, sollya-library-wrappers.c,
	sollya-library-wrappers.h, sollya-messages.h, sollya-messaging.c,
	sollya-messaging.h, sollya.h, sturm.c, sturm.h, supnorm.c,
	supnorm.h, taylor.c, taylor.h, taylorform.c, taylorform.h,
	worstcase.c, worstcase.h, xml.c, xml.h: * Removed trailing spaces.  This commit was extracted from SVN r2021.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2021
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-28  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* assignment.c, autodiff.c, bitfields.c, chain.c, chebyshevform.c,
	chebyshevformaux.c, double.c, double.h, execute.c, execute.h,
	expansion.c, expression.c, external.c, externalfun.c,
	externalproc.c, general.c, general.h, help.h, implement.c,
	implementconst.c, infnorm.c, infnorm.h, integral.c, internlexer.l,
	internparser.y, lexer.l, library.c, libsollyaexample.c, main.c,
	match.c, minilexer.l, miniparser.y, mpfi-compat.c, mpfi-compat.h,
	parser.y, plot.c, printf.c, printf.h, proof.c, remez.c,
	signalhandling.c, sollya-library-wrappers.c, sollya-messages.h,
	sollya-messaging.c, sollya-messaging.h, sturm.c, sturm.h,
	supnorm.c, taylor.c, worstcase.c, xml.c: * First round of update for copyrights.  This commit was extracted from SVN r2020.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2020
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/checkinfnorm.shlp, doc/checkinfnorm.tex,
	doc/externalplot.shlp, doc/externalplot.tex, doc/fpminimax.shlp,
	doc/fpminimax.tex, doc/function.shlp, doc/function.tex,
	doc/guessdegree.shlp, doc/guessdegree.tex, doc/implementpoly.shlp,
	doc/implementpoly.tex, doc/library.shlp, doc/library.tex,
	doc/libraryconstant.shlp, doc/libraryconstant.tex, doc/remez.shlp,
	doc/remez.tex, doc/searchgal.shlp, doc/searchgal.tex,
	doc/shlp2html.sh, doc/shlp2tex.sh, doc/shlp2txt.sh, doc/sollya.tex,
	doc/supnorm.shlp, doc/supnorm.tex, doc/taylorform.shlp,
	doc/taylorform.tex, doc/worstcase.shlp, doc/worstcase.tex,
	doc/www/checkinfnorm.php, doc/www/externalplot.php,
	doc/www/fpminimax.php, doc/www/function.php,
	doc/www/guessdegree.php, doc/www/implementpoly.php,
	doc/www/library.php, doc/www/libraryconstant.php,
	doc/www/remez.php, doc/www/searchgal.php, doc/www/sollya.php,
	doc/www/supnorm.php, doc/www/taylorform.php, doc/www/worstcase.php,
	help.h, sollya-library-wrappers.c, sollya.h, tests-lib/Makefile.am,
	tests-lib/tdecompose_library_constant.c,
	tests-lib/tdecompose_library_constant.reference,
	tests-lib/tdecompose_library_function.c,
	tests-lib/tdecompose_library_function.reference,
	tests-lib/tdecompose_libraryconstant.c,
	tests-lib/tdecompose_libraryconstant.reference,
	tests-lib/tdecompose_libraryfunction.c,
	tests-lib/tdecompose_libraryfunction.reference,
	tests-lib/tdecompose_procedure_function.c,
	tests-lib/tdecompose_procedure_function.reference,
	tests-lib/tdecompose_procedurefunction.c,
	tests-lib/tdecompose_procedurefunction.reference: * Changed library_function to libraryfunction, etc., in the names of
	functions in libsollya.  * Added some missing #LIBRARY directives in the doc.  * Modified a bit the way #LIBRARY is interpreted, in order to allow
	for declarations of signatures on several lines.  This commit was extracted from SVN r2019.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2019
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tprintf.c: * Reverted unintentional commit of tprintf.c at revision 2015.  This commit was extracted from SVN r2018.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2018
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-26  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/conversionIntro.sh, doc/www/index.php, doc/www/sollya.php,
	doc/www/sollyacss.css: * HTML documentation is now completely synchronized with pdf
	documentation.  It is valid HTML.  Yet, last section of the
	documentation should be carefully read in order to check that there
	is no error left caused by the automatic conversion from LaTeX to
	html.  This commit was extracted from SVN r2017.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2017
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-22  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: * Updated copyright notice in sollya.tex and sollya.php.  * Updated sollya.php to reflect changes in sollya.tex since last
	release. All modifications have been reported except the Appendix
	documenting the library.  This commit was extracted from SVN r2016.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2016
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-22  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* integral.c, sollya-library-wrappers.c, tests-lib/tcheckinfnorm.c,
	tests-lib/tconstant.c, tests-lib/tconstant_from_int.c,
	tests-lib/tconstant_from_int64.c,
	tests-lib/tconstant_from_uint64.c, tests-lib/tfpminimax.c,
	tests-lib/tget_bounds_from_range.c,
	tests-lib/tget_interval_from_range.c, tests-lib/tis_absolute.c,
	tests-lib/tis_binary.c, tests-lib/tis_decimal.c,
	tests-lib/tis_default.c, tests-lib/tis_double_double_obj.c,
	tests-lib/tis_double_obj.c, tests-lib/tis_doubleextended_obj.c,
	tests-lib/tis_dyadic.c, tests-lib/tis_false.c,
	tests-lib/tis_file.c, tests-lib/tis_fixed.c,
	tests-lib/tis_floating.c, tests-lib/tis_halfprecision_obj.c,
	tests-lib/tis_hexadecimal.c, tests-lib/tis_honorcoeffprec.c,
	tests-lib/tis_off.c, tests-lib/tis_on.c, tests-lib/tis_perturb.c,
	tests-lib/tis_pi.c, tests-lib/tis_postscript.c,
	tests-lib/tis_postscriptfile.c, tests-lib/tis_powers.c,
	tests-lib/tis_quad_obj.c, tests-lib/tis_relative.c,
	tests-lib/tis_round_down.c, tests-lib/tis_round_to_nearest.c,
	tests-lib/tis_round_towards_zero.c, tests-lib/tis_round_up.c,
	tests-lib/tis_single_obj.c, tests-lib/tis_triple_double_obj.c,
	tests-lib/tis_true.c, tests-lib/tis_void.c,
	tests-lib/tobj_is_end_elliptic_list.c, tests-lib/tobj_is_error.c,
	tests-lib/tobj_is_function.c, tests-lib/tobj_is_list.c,
	tests-lib/tobj_is_range.c, tests-lib/tobj_is_string.c,
	tests-lib/tobj_is_structure.c, tests-lib/tprintf.c,
	tests-lib/tremez.c, tests-lib/tv_fpminimax.c, tests-lib/tv_remez.c: * Removed memory leaks in the test of the lib and some memory leaks
	in the lib itself.  This commit was extracted from SVN r2015.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2015
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c: Patched a warning seen with icc.  This commit was extracted from SVN r2014.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2014
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, supnorm.c: Remotely patching a problem with a warning
	seen with Wall on a machine where mp_prec_t is unsigned.  This commit was extracted from SVN r2013.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2013
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-20  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* printf.c: Some more fascist option bugs solved.  This commit was extracted from SVN r2012.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2012
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-20  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* printf.c: Patched a problem in sollya_lib_printf.  This commit was extracted from SVN r2011.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2011
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-20  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/Makefile.am: Trying to patch the make check problem on
	Cygwin This commit was extracted from SVN r2010.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2010
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-20  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.pdf, doc/sollya.tex: * Updated documentation for printf.  This commit was extracted from SVN r2009.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2009
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-20  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tprintf.c: * Now, it compiles.  This commit was extracted from SVN r2008.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2008
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-20  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tprintf.c: * Make compiler happy with fascist options.  This commit was extracted from SVN r2007.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2007
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-20  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tprintf.reference: * I forgot to update reference file.  This commit was extracted from SVN r2006.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2006
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-20  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.pdf, doc/sollya.tex: * Documented sollya_lib_get_element_in_list This commit was extracted from SVN r2005.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2005
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-20  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tprintf.c: * Tests for sollya_lib_snprintf This commit was extracted from SVN r2004.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2004
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-18  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tget_constant_as_int.c,
	tests-lib/tget_constant_as_int64.c,
	tests-lib/tget_constant_as_uint64.c, tests-lib/timplementpoly.c,
	tests-lib/tprintf.c, tests-lib/tv_implementpoly.c: * Better Wall casts.  This commit was extracted from SVN r2003.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2003
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/libraryexample.c,
	tests-lib/tbuild_function_libraryfunction.c,
	tests-lib/tlibraryfunction.c: Made tests ansi compatible.  This commit was extracted from SVN r2002.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2002
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* printf.c: Corrected something in printf.  This commit was extracted from SVN r2001.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2001
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* printf.c, signalhandling.c: A small -Wall cast.  This commit was extracted from SVN r2000.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@2000
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* signalhandling.c, signalhandling.h: Forgotten files.  This commit was extracted from SVN r1999.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1999
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-18  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* Makefile.am, execute.c, general.c, printf.c: Trying to get the
	signals working again.  This commit was extracted from SVN r1998.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1998
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-17  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c, supnorm.c: Added some casts, trying to overcome some
	compiler warnings.  This commit was extracted from SVN r1997.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1997
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-17  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tand.c, tests-lib/tappend.c,
	tests-lib/tbuild_function_libraryconstant.c,
	tests-lib/tbuild_function_libraryfunction.c,
	tests-lib/tcheckinfnorm.c, tests-lib/tcmp_equal.c,
	tests-lib/tcmp_greater.c, tests-lib/tcmp_greater_equal.c,
	tests-lib/tcmp_in.c, tests-lib/tcmp_less.c,
	tests-lib/tcmp_less_equal.c, tests-lib/tcmp_not_equal.c,
	tests-lib/tconcat.c, tests-lib/tconstant.c,
	tests-lib/tconstant_from_double.c, tests-lib/tconstant_from_int.c,
	tests-lib/tconstant_from_int64.c,
	tests-lib/tconstant_from_uint64.c, tests-lib/tdecompose_function.c,
	tests-lib/tdecompose_library_constant.c,
	tests-lib/tdecompose_library_function.c, tests-lib/tdenominator.c,
	tests-lib/tdiff.c, tests-lib/tdirtyinfnorm.c,
	tests-lib/tdirtyintegral.c, tests-lib/tget_bounds_from_range.c,
	tests-lib/tget_constant_as_int.c,
	tests-lib/tget_constant_as_int64.c,
	tests-lib/tget_constant_as_uint64.c,
	tests-lib/tget_function_arity.c, tests-lib/tget_head_function.c,
	tests-lib/tget_interval_from_range.c,
	tests-lib/tget_subfunctions.c, tests-lib/thead.c,
	tests-lib/timplementpoly.c, tests-lib/tinf.c,
	tests-lib/tinit_with_custom_memory_functions.c,
	tests-lib/tintegral.c, tests-lib/tlength.c,
	tests-lib/tlibraryconstant.c, tests-lib/tlibraryfunction.c,
	tests-lib/tmacros_build_function.c,
	tests-lib/tmantissa_and_exponent.c, tests-lib/tmax.c,
	tests-lib/tmid.c, tests-lib/tmin.c, tests-lib/tnegate.c,
	tests-lib/tnumberroots.c, tests-lib/tnumerator.c, tests-lib/tor.c,
	tests-lib/tprecision.c, tests-lib/tprepend.c,
	tests-lib/tprintdouble.c, tests-lib/tprintexpansion.c,
	tests-lib/tprintf.c, tests-lib/tprintsingle.c,
	tests-lib/trange_from_bounds.c, tests-lib/trange_from_interval.c,
	tests-lib/trationalapprox.c, tests-lib/tremez.c,
	tests-lib/trevert.c, tests-lib/troundcoefficients.c,
	tests-lib/tsearchgal.c, tests-lib/tsort.c, tests-lib/tsup.c,
	tests-lib/ttail.c, tests-lib/tv_decompose_function.c,
	tests-lib/tv_get_subfunctions.c, tests-lib/tv_implementpoly.c,
	tests-lib/tv_max.c, tests-lib/tv_min.c, tests-lib/tv_remez.c: * Compiler happiness in tests-lib.  This commit was extracted from SVN r1996.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1996
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-16  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tget_element_in_list.reference: * The test committed at previous revision seems to work. Updating
	the reference file.  This commit was extracted from SVN r1995.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1995
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-16  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tget_element_in_list.c: * Attempt to make complexity test for get_element_in_list more
	robust.  This commit was extracted from SVN r1994.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1994
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-15  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* sollya-library-wrappers.c: Patched a problem with random access to
	lists created in library mode and accessed in library mode. The
	complexity should now really be O(1).  This commit was extracted from SVN r1993.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1993
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-15  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* remez.c: * Cosmetic modifications in comments of remez.c, following the
	changes made by Christoph.  This commit was extracted from SVN r1992.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1992
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-15  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.tex, tests-lib/Makefile.am,
	tests-lib/tbuild_end_elliptic_list.c,
	tests-lib/tbuild_end_elliptic_list.reference,
	tests-lib/tbuild_list.c, tests-lib/tbuild_list.reference,
	tests-lib/tend_elliptic_list.c,
	tests-lib/tend_elliptic_list.reference,
	tests-lib/tget_element_in_list.c,
	tests-lib/tget_element_in_list.reference,
	tests-lib/tget_list_elements.c,
	tests-lib/tget_list_elements.reference, tests-lib/tlist.c,
	tests-lib/tlist.reference, tests-lib/tv_build_end_elliptic_list.c,
	tests-lib/tv_build_end_elliptic_list.reference,
	tests-lib/tv_build_list.c, tests-lib/tv_build_list.reference: * Tests for list manipulation within the lib.  This commit was extracted from SVN r1991.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1991
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-15  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* remez.c: * Removed a bug introduced by Christoph at previous revision This commit was extracted from SVN r1990.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1990
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-15  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* autodiff.c, bitfields.c, chain.c, chebyshevform.c,
	chebyshevformaux.c, configure.ac, double.c, execute.c,
	expression.c, external.c, fpminimax.cpp, general.c, implement.c,
	infnorm.c, infnorm.h, integral.c, internlexer.l, internparser.y,
	lexer.l, library.c, library.h, minilexer.l, miniparser.y, parser.y,
	plot.c, printf.c, printf.h, remez.c, sollya-library-wrappers.c,
	sturm.c, supnorm.c, taylorform.c, worstcase.c, xml.c: Made Sollya
	compile with -Wall -Wextra without (almost) no warnings, and in
	-std=c99 and -ansi modes.  This commit was extracted from SVN r1989.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1989
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-15  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/time.php, doc/www/timing.php,
	help.h: Recompiled the documentation.  This commit was extracted from SVN r1988.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1988
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* Makefile.am: Trying to patch a bug on Christoph's system while the
	bug is apparent only on Sylvain's system.  This commit was extracted from SVN r1987.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1987
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-08  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* Makefile.am, configure.ac: Set version of libsollya .so file
	correctmy.  This commit was extracted from SVN r1986.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1986
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-08  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/Makefile.am, tests-tool/check023.sollya,
	tests-tool/check023.sollya.reference: * Checks for priorities between infix operators.  This commit was extracted from SVN r1985.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1985
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-05  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tdecompose_function.c,
	tests-lib/tdecompose_function.reference: * Cleaned up a little bit the TODO list.  This commit was extracted from SVN r1984.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1984
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-05  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/timecheck.sollya: Updated a timecheck test that tended
	to fail on Cygwin where time measures do not have fine granularity.  This commit was extracted from SVN r1983.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1983
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-05  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/timplementpoly.c, tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.c, tests-lib/tv_implementpoly.reference: 
	Changed tests for implementpoly again.  This commit was extracted from SVN r1982.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1982
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-04  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac: Corrected configure.  This commit was extracted from SVN r1981.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1981
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-04  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/timplementpoly.c, tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.c, tests-lib/tv_implementpoly.reference: 
	Updated tests for implementpoly.  This commit was extracted from SVN r1980.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1980
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-04  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/timplementpoly.c, tests-lib/timplementpoly.reference: 
	Changed implementpoly tests for Cygwin.  This commit was extracted from SVN r1979.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1979
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-04  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tdecompose_function.c, tests-lib/tget_function_arity.c,
	tests-lib/tget_head_function.c, tests-lib/tget_subfunctions.c,
	tests-lib/tv_decompose_function.c, tests-lib/tv_get_subfunctions.c: * Patched a bug (false negative test) on systems when the name of a
	C function cannot be recovered.  This commit was extracted from SVN r1978.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1978
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-04  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* configure.ac, fpminimax.cpp, tests-lib/Makefile.am: Making the
	tests compile under Cygwin with an old FPLLL.  This commit was extracted from SVN r1977.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1977
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-03-04  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am: * Restored a line previously removed, because it is indeed useful
	for make dist.  This commit was extracted from SVN r1976.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1976
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am: * Reversed order of libs when compiling libraryexample.a This commit was extracted from SVN r1975.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1975
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/check.proto: * Stupid error.  This commit was extracted from SVN r1974.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1974
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am: * Forgotten to link against lmpfi.  This commit was extracted from SVN r1973.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1973
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check.proto: * Stupid error.  This commit was extracted from SVN r1972.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1972
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/check.proto, tests-tool/check.proto: * Now produces output files for each test. The output file is
	removed whenever the test passes.  This commit was extracted from SVN r1971.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1971
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-27  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am, tests-lib/tdecompose_library_constant.c,
	tests-lib/tdecompose_library_function.c: * Makefile.am compatible with Cygwin? This commit was extracted from SVN r1970.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1970
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am, tests-tool/timecheck.sollya: Synchronizing
	again.  This commit was extracted from SVN r1969.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1969
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am, tests-tool/Makefile.am: Synchronizing with
	Cygwin.  This commit was extracted from SVN r1968.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1968
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-27  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c: Changed the "useless" operation in nop(n) in order to
	get more stable yardsticks in the time checks.  This commit was extracted from SVN r1967.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1967
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-26  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/dieonerrormode.tex, doc/getsuppressedmessages.tex,
	doc/introExample51.tex, doc/parse.tex, doc/suppressmessage.tex,
	doc/time.tex, doc/timing.tex, doc/unsuppressmessage.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/dieonerrormode.php, doc/www/getsuppressedmessages.php,
	doc/www/introExample51.php, doc/www/parse.php,
	doc/www/suppressmessage.php, doc/www/time.php, doc/www/timing.php,
	doc/www/unsuppressmessage.php, help.h: Recompiled the documentation.  This commit was extracted from SVN r1966.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1966
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-26  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* : Merged branch optimLists onto the trunk with svn merge
	-r1941:HEAD

	svn+ssh://schevill@scm.gforge.inria.fr/svn/sollya/branches/optimListsThis commit was extracted from SVN r1964.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1964
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-26  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* internparser.y, miniparser.y, parser.y: Merged trunk onto the
	branch with svn merge -r1954:1961
	svn+ssh://schevill@scm.gforge.inria.fr/svn/sollya/trunk This commit was extracted from SVN r1962.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/optimLists@1962
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-26  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/introExample25.tex, doc/introExample51.tex,
	doc/www/introExample25.php, doc/www/introExample51.php, execute.c: 
	Changed behavior of assignments to elements of end-elliptic list
	when the list needs to be expanded with explicit elements before the
	assignment can be done.  This commit was extracted from SVN r1961.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/optimLists@1961
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-26  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* parser.y: * Removed deprecated keywords from help help list.  This commit was extracted from SVN r1960.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1960
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-26  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* internparser.y, miniparser.y, parser.y: Changed the implicit
	parenthezation for prepends.  This commit was extracted from SVN r1959.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1959
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-26  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/Makefile.am: Forgotten entry in Makefile.am This commit was extracted from SVN r1958.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/optimLists@1958
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-26  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/check022.sollya, tests-tool/check022.sollya.reference: * Added tests for list manipulations. The test currently fails, due
	to what I think is a bug.  This commit was extracted from SVN r1957.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/optimLists@1957
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-25  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c: Corrected a segfault bug.  This commit was extracted from SVN r1956.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/optimLists@1956
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-25  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-tool/timecheck.sollya.reference: * Stupid error.  This commit was extracted from SVN r1955.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/optimLists@1955
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-25  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.tex, sollya-library-wrappers.c, tests-lib/Makefile.am,
	tests-lib/tdecompose_function.c,
	tests-lib/tdecompose_function.reference,
	tests-lib/tget_function_arity.c,
	tests-lib/tget_function_arity.reference,
	tests-lib/tget_head_function.c,
	tests-lib/tget_head_function.reference,
	tests-lib/tget_subfunctions.c,
	tests-lib/tget_subfunctions.reference,
	tests-lib/tv_decompose_function.c,
	tests-lib/tv_decompose_function.reference,
	tests-lib/tv_get_subfunctions.c,
	tests-lib/tv_get_subfunctions.reference,
	tests-tool/timecheck.sollya, tests-tool/timecheck.sollya.reference,
	tests/Makefile.am, tests/check.proto, tests/check001.sollya,
	tests/check001.sollya.reference, tests/check002.sollya,
	tests/check002.sollya.reference, tests/check003.sollya,
	tests/check003.sollya.reference, tests/check004.sollya,
	tests/check004.sollya.reference, tests/check005.sollya,
	tests/check005.sollya.reference, tests/check006.sollya,
	tests/check006.sollya.reference, tests/check007.sollya,
	tests/check007.sollya.reference, tests/check008.sollya,
	tests/check008.sollya.reference, tests/check009.sollya,
	tests/check009.sollya.reference, tests/check010.sollya,
	tests/check010.sollya.reference, tests/check011.sollya,
	tests/check011.sollya.reference, tests/check012.sollya,
	tests/check012.sollya.reference, tests/check013.sollya,
	tests/check013.sollya.reference, tests/check014.sollya,
	tests/check014.sollya.reference, tests/check015.sollya,
	tests/check015.sollya.reference, tests/check016.sollya,
	tests/check016.sollya.reference, tests/check017.sollya,
	tests/check017.sollya.reference, tests/check018.sollya,
	tests/check018.sollya.reference, tests/check019.sollya,
	tests/check019.sollya.reference, tests/check020.sollya,
	tests/check020.sollya.reference, tests/check021.sollya,
	tests/check021.sollya.reference, tests/memoryleaks.sollya,
	tests/timecheck.sollya, tests/timecheck.sollya.reference: Merged
	trunk onto the branch with svn merge -r1941:1953
	svn+ssh://schevill@scm.gforge.inria.fr/svn/sollya/trunk This commit was extracted from SVN r1954.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/optimLists@1954
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-25  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.tex, tests-lib/Makefile.am,
	tests-lib/tdecompose_function.c,
	tests-lib/tdecompose_function.reference,
	tests-lib/tv_decompose_function.c,
	tests-lib/tv_decompose_function.reference,
	tests-lib/tv_get_subfunctions.c,
	tests-lib/tv_get_subfunctions.reference,
	tests-tool/timecheck.sollya, tests-tool/timecheck.sollya.reference: * Updated the documentation to remove the mention about the
	complexity of list operations * Added non-regression tests for memory references optimization and
	list operations optimization.  * Finished to test decomposition functions in the library.  This commit was extracted from SVN r1953.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1953
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* sollya-library-wrappers.c: Optimized access to elements in lists
	in library mode thru int sollya_lib_get_element_in_list(sollya_obj_t
	*res, sollya_obj_t obj1, int n).  This commit was extracted from SVN r1952.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/optimLists@1952
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-22  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* sollya-library-wrappers.c: Simplified library wrapper code a
	little bit.  This commit was extracted from SVN r1951.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1951
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-13  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* doc/sollya.tex: * Precisions in the documentation regarding:     i) NULL as a sollya_obj_t when passed to sollya_lib_clear_obj
	   and sollya_lib_printf.  ii) NULL as the arity argument in
	  sollya_lib_get_subfunctions.  iii) _x_ interpreted as Id(_x_) for
	all decomposition functions.  This commit was extracted from SVN r1950.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1950
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-13  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* sollya-library-wrappers.c: Simplified library code a bit.  This commit was extracted from SVN r1949.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1949
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-13  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/tget_function_arity.reference: * Stupid forgotten test.  This commit was extracted from SVN r1948.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1948
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-13  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* sollya-library-wrappers.c: Correct behavior of
	sollya_lib_v_get_subfunctions and *_decompose_* for the free
	variable.  This commit was extracted from SVN r1947.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1947
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-13  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests-lib/Makefile.am, tests-lib/tget_function_arity.c,
	tests-lib/tget_function_arity.reference,
	tests-lib/tget_head_function.c,
	tests-lib/tget_head_function.reference,
	tests-lib/tget_subfunctions.c,
	tests-lib/tget_subfunctions.reference: * Tests for decomposition functions.  This commit was extracted from SVN r1946.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1946
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-13  schevill <schevill@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* tests/Makefile.am, tests/check.proto, tests/check001.sollya,
	tests/check001.sollya.reference, tests/check002.sollya,
	tests/check002.sollya.reference, tests/check003.sollya,
	tests/check003.sollya.reference, tests/check004.sollya,
	tests/check004.sollya.reference, tests/check005.sollya,
	tests/check005.sollya.reference, tests/check006.sollya,
	tests/check006.sollya.reference, tests/check007.sollya,
	tests/check007.sollya.reference, tests/check008.sollya,
	tests/check008.sollya.reference, tests/check009.sollya,
	tests/check009.sollya.reference, tests/check010.sollya,
	tests/check010.sollya.reference, tests/check011.sollya,
	tests/check011.sollya.reference, tests/check012.sollya,
	tests/check012.sollya.reference, tests/check013.sollya,
	tests/check013.sollya.reference, tests/check014.sollya,
	tests/check014.sollya.reference, tests/check015.sollya,
	tests/check015.sollya.reference, tests/check016.sollya,
	tests/check016.sollya.reference, tests/check017.sollya,
	tests/check017.sollya.reference, tests/check018.sollya,
	tests/check018.sollya.reference, tests/check019.sollya,
	tests/check019.sollya.reference, tests/check020.sollya,
	tests/check020.sollya.reference, tests/check021.sollya,
	tests/check021.sollya.reference, tests/memoryleaks.sollya,
	tests/timecheck.sollya, tests/timecheck.sollya.reference: * Removed all 'tests' directory, now useless.  This commit was extracted from SVN r1945.  git-svn-id: svn://scm.gforge.inria.fr/svn/sollya/trunk@1945
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-12  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* assignment.c, execute.c, expression.h: Yet improved random access
	to elements of lists (when the list is used as an rvalue): if the
	list is has no memrefed copy and has already been annotated for
	random access, the annotation survives tail operations on a variable
	containing that list and, in most cases, prepend operations.  This commit was extracted from SVN r1944.  git-svn-id:
	svn://scm.gforge.inria.fr/svn/sollya/branches/optimLists@1944
	af37bc7e-59aa-4313-bbaf-7d19c0032f32

2013-02-11  clauter <clauter@af37bc7e-59aa-4313-bbaf-7d19c0032f32>

	* execute.c: Optimized random access to lists (and final-elliptic
